'   Konrad the Warrior by Steve Nunnally
'$DYNAMIC
DEFINT A-Z

DECLARE SUB DrawModeOfTravel ()

DECLARE SUB PUT13TRANS (BYVAL TransColor%, SEG a%, BYVAL x%, BYVAL y%)
DECLARE SUB PUT13 (SEG a%, BYVAL x%, BYVAL y%)
DECLARE SUB GET13 (SEG a%, BYVAL x%, BYVAL y%)

DECLARE SUB Delay (LongDelta&)

DECLARE FUNCTION LONGTIMER&
DECLARE FUNCTION LongTimerDelta& (StartTime&)

DECLARE SUB LoadLevelGraphicList (Filename$)

DECLARE SUB ShowItemList (Title$, t%, InterestInList%)

DECLARE SUB Inn (Cost%)

DECLARE SUB ObjectKeys (ObjectOver%, DropUp%, t%, fcn%)

DECLARE SUB LoadItemGraphicList (Filename$)

DECLARE SUB FixFileName (Filename$)

DECLARE SUB LoadSolidList (Filename$)

DECLARE SUB ScreenLoad2 (Filename$)

DECLARE FUNCTION SpotFound% (a%, b%)

DECLARE SUB PlayKonrad ()
DECLARE FUNCTION BlockNotRightForFighting% ()

DECLARE FUNCTION FileOPEN% (Filename$, Mode$)
DECLARE SUB CalcSomething ()
DECLARE SUB SetupGame ()
DECLARE SUB SetupNewGame ()
DECLARE SUB ColorTitle ()
DECLARE SUB ScreenLoad (a$, Filename$)
DECLARE SUB Credits (clength%, cclr%, cover%, cdelay&, cstart%)
DECLARE SUB LoadFontCommands (Filename$)
DECLARE SUB Font (fontdelay&, words$)
DECLARE SUB Continue ()
DECLARE SUB Intro ()
DECLARE SUB Menu ()
DECLARE SUB SideGraphics ()
DECLARE SUB ShowInventory ()
DECLARE SUB InitItems ()
DECLARE SUB ShowItem (xShow%, yShow%, kindofput%, ItemToShow%)
DECLARE SUB InitGuy ()
DECLARE SUB ShowGuy (xShow%, yShow%, kindofput%, ItemToShow%)
DECLARE SUB WriteStats ()
DECLARE SUB ChangeLevels (NewMap%)
DECLARE SUB QuitGame ()
DECLARE SUB SaveGame ()
DECLARE SUB RotateColors ()
DECLARE SUB DrawLevel ()
DECLARE SUB BlockWalking ()
DECLARE SUB BlockScuba ()
DECLARE SUB BlockShip ()
DECLARE SUB BlockRaft ()

DECLARE SUB BlockTravel ()
DECLARE SUB FightKnight ()
DECLARE SUB FightWizard ()
DECLARE SUB FightNoel ()
DECLARE SUB FightSetup ()
DECLARE SUB Fight (EnemyType%, eland$)
DECLARE SUB YouDied ()
DECLARE SUB LoadItemNames (Filename$)
DECLARE SUB GetItemName (stringtolookin$, lookover%)
DECLARE SUB GetObject ()
DECLARE SUB DropObject ()
DECLARE SUB UseObject ()
DECLARE SUB UseLeaf ()
DECLARE SUB UseKey ()
DECLARE SUB EquipObject ()
DECLARE SUB SwitchItems ()
DECLARE SUB GameHelp ()
DECLARE SUB UseSomething ()
DECLARE SUB Talk ()
DECLARE SUB UseStairway (kindof%)
DECLARE SUB CheckChest ()
DECLARE SUB CheckSign ()
DECLARE SUB CheckDresser ()
DECLARE SUB SleepNow ()
DECLARE SUB Switches ()

DIM SHARED SolidList AS STRING * 256
DIM SHARED ItemGraphicList AS STRING * 256
DIM SHARED LevelGraphicList AS STRING * 256


DIM SHARED graphic%(0 TO 251, 1 TO 82)

DIM SHARED ItemName$(0 TO 255), AItemName$
DIM SHARED level(1 TO 100) AS STRING, item.lvl(1 TO 100) AS STRING
DIM SHARED up AS INTEGER, over AS INTEGER, AnimFrame%
DIM SHARED hp AS INTEGER, hpmax AS INTEGER, CurrMap%
DIM SHARED money AS INTEGER, exper AS INTEGER, CheckForFight AS INTEGER
DIM SHARED inv(1 TO 15) AS STRING, lefttonext AS INTEGER, lvl AS INTEGER
DIM SHARED attack AS INTEGER, defense AS INTEGER
DIM SHARED body.items AS STRING, item.down AS INTEGER
DIM SHARED spaceclear AS INTEGER
DIM SHARED enemy.life AS INTEGER, Enemy.name AS STRING
DIM SHARED currentpal AS INTEGER, P AS INTEGER
DIM SHARED somethingup AS INTEGER, somethingover AS INTEGER
DIM SHARED t AS INTEGER, L AS INTEGER, w AS INTEGER
DIM SHARED posx AS INTEGER, posy AS INTEGER
DIM SHARED ModeOfTravel%, confile  AS STRING
DIM SHARED getenemy(0 TO 251, 1 TO 2)
DIM SHARED fill.side(0 TO 251)


LoadFontCommands "KONRAD.FON"
LoadItemNames "ITEMNAME.KON"
LoadSolidList "KONRAD.SLD"
LoadItemGraphicList "ITEM.GLS"
LoadLevelGraphicList "LEVEL.GLS"

SCREEN 13
RANDOMIZE TIMER
	CALL SetupGame
	CALL ColorTitle
	CALL ScreenLoad("title.pal", "title.kon")
	DO: LOOP UNTIL INKEY$ <> ""
	CLS
PassFileError:
	CALL ScreenLoad("menu.pal", "menu.kon")
	Menu
	SideGraphics
	ShowInventory
	WriteStats
	DrawLevel
	DrawModeOfTravel
PALETTE 247, 65536 * INT(41)
PALETTE 246, 65536 * INT(51)
PALETTE 245, 65536 * INT(61)
PALETTE 244, 65536 * INT(31)
PALETTE 243, 65536 * INT(41)
PALETTE 242, 65536 * INT(51)
PALETTE 241, INT(31)
PALETTE 240, INT(41)
PALETTE 239, INT(51)
	PlayKonrad
END

BadFileName:
 CLS : PALETTE: COLOR 15
 LOCATE 13: PRINT "Bad file mode or name, cannot restore..."
 WHILE INKEY$ = "": WEND: RESUME PassFileError
NoSavedGames:
 CLS : PALETTE: COLOR 15
 LOCATE 10, 2: PRINT "There are no saved games, sorry!! =)"
 LOCATE 12, 14: PRINT "Press Enter!"
 WHILE INKEY$ = "": WEND: RESUME PassFileError

FUNCTION BlockNotRightForFighting
 IF MID$(level$(up), over, 1) = "'" THEN BlockNotRightForFighting = -1
 IF MID$(level$(up), over, 1) = "@" THEN BlockNotRightForFighting = -1
 IF MID$(level$(up), over, 1) = "~" THEN BlockNotRightForFighting = -1
 IF MID$(level$(up), over, 1) = "" THEN BlockNotRightForFighting = -1
 IF MID$(level$(up), over, 1) = "c" THEN BlockNotRightForFighting = -1
 IF MID$(level$(up), over, 1) = "t" THEN BlockNotRightForFighting = -1
 IF MID$(level$(up), over, 1) = "d" THEN BlockNotRightForFighting = -1
 IF MID$(level$(up), over, 1) = "" THEN BlockNotRightForFighting = -1
 IF MID$(level$(up), over, 1) = "" THEN BlockNotRightForFighting = -1
 IF MID$(level$(up), over, 1) = "" THEN BlockNotRightForFighting = -1
 IF MID$(level$(up), over, 1) = "u" THEN BlockNotRightForFighting = -1
 IF MID$(level$(up), over, 1) = "D" THEN BlockNotRightForFighting = -1
 IF MID$(level$(up), over, 1) = "" THEN BlockNotRightForFighting = -1
 IF MID$(level$(up), over, 1) = "" THEN BlockNotRightForFighting = -1
 IF MID$(level$(up), over, 1) = "0" THEN BlockNotRightForFighting = -1
 IF MID$(level$(up), over, 1) = "}" THEN BlockNotRightForFighting = -1
 IF MID$(level$(up), over, 1) = "" THEN BlockNotRightForFighting = -1
END FUNCTION

REM $STATIC
SUB BlockRaft
	CheckForFight% = 1
	IF MID$(item.lvl$(up + somethingup), over + somethingover, 1) = "" THEN CheckForFight = 0: spaceclear = 1'Boat
	IF MID$(level$(up + somethingup), over + somethingover, 1) = "g" THEN CheckForFight = 0: spaceclear = 1 'desert
	IF MID$(level$(up + somethingup), over + somethingover, 1) = "M" THEN CheckForFight = 0: spaceclear = 1
	IF MID$(level$(up + somethingup), over + somethingover, 1) = "T" THEN CheckForFight = 0: spaceclear = 1
	IF MID$(level$(up + somethingup), over + somethingover, 1) = "" THEN CheckForFight = 0: spaceclear = 1
	IF MID$(level$(up + somethingup), over + somethingover, 1) = "" THEN CheckForFight = 0: spaceclear = 1
	IF MID$(level$(up + somethingup), over + somethingover, 1) = "#" THEN CheckForFight = 0: spaceclear = 1
	IF CheckForFight = 1 AND MID$(level$(up + somethingup), over + somethingover, 1) <> "H" THEN
	  MID$(item.lvl$(up), over, 1) = "": CheckForFight = 0: ModeOfTravel% = 0
	  spaceclear = 0
	END IF
END SUB

SUB BlockScuba
	CheckForFight% = 1
	IF MID$(level$(up + somethingup), over + somethingover, 1) = "g" THEN CheckForFight = 0: spaceclear = 1
	IF MID$(level$(up + somethingup), over + somethingover, 1) = "M" THEN CheckForFight = 0: spaceclear = 1
	IF MID$(level$(up + somethingup), over + somethingover, 1) = "T" THEN CheckForFight = 0: spaceclear = 1
	IF MID$(level$(up + somethingup), over + somethingover, 1) = "" THEN CheckForFight = 0: spaceclear = 1
	IF CheckForFight = 1 AND MID$(level$(up + somethingup), over + somethingover, 1) <> "H" THEN
	  IF MID$(level$(up + somethingup), over + somethingover, 1) <> "#" THEN
		IF MID$(level$(up + somethingup), over + somethingover, 1) <> "" THEN
		  CheckForFight = 0: ModeOfTravel% = 0: spaceclear = 0
		END IF
	  END IF
	END IF
	IF MID$(item.lvl$(up + somethingup), over + somethingover, 1) = "" THEN
	  MID$(item.lvl$(up + somethingup), over + somethingover, 1) = " "
	  ModeOfTravel% = 1
	END IF
	IF MID$(item.lvl$(up + somethingup), over + somethingover, 1) = "" THEN
	  MID$(item.lvl$(up + somethingup), over + somethingover, 1) = " "
	  ModeOfTravel% = 2
	END IF
END SUB

SUB BlockShip
	CheckForFight% = 1
	IF MID$(item.lvl$(up + somethingup), over + somethingover, 1) = "" THEN CheckForFight = 0: spaceclear = 1
	IF MID$(level$(up + somethingup), over + somethingover, 1) = "g" THEN CheckForFight = 0: spaceclear = 1
	IF MID$(level$(up + somethingup), over + somethingover, 1) = "M" THEN CheckForFight = 0: spaceclear = 1
	IF MID$(level$(up + somethingup), over + somethingover, 1) = "T" THEN CheckForFight = 0: spaceclear = 1
	IF MID$(level$(up + somethingup), over + somethingover, 1) = "" THEN CheckForFight = 0: spaceclear = 1
	IF MID$(level$(up + somethingup), over + somethingover, 1) = "" THEN CheckForFight = 0: spaceclear = 1
	IF CheckForFight = 1 AND MID$(level$(up + somethingup), over + somethingover, 1) <> "H" THEN
	  IF MID$(level$(up + somethingup), over + somethingover, 1) <> "#" THEN
		MID$(item.lvl$(up), over, 1) = "": CheckForFight = 0: ModeOfTravel% = 0
		spaceclear = 0
	  END IF
	END IF
END SUB

REM $DYNAMIC
SUB BlockTravel
	CalcSomething
	SELECT CASE ModeOfTravel%
	CASE 0 'Walking
	  BlockWalking
	CASE 1  'Raft
	  BlockRaft
	CASE 2  'ship
	  BlockShip
	CASE 3
	  BlockScuba
	END SELECT
END SUB

SUB BlockWalking
 
 IF MID$(SolidList, ASC(MID$(level$(up + somethingup), over + somethingover, 1)) + 1, 1) = CHR$(255) THEN spaceclear = 1

 IF MID$(level$(up + somethingup), over + somethingover, 1) = "" AND MID$(body.items$, 10) = "" THEN spaceclear = 0
 IF MID$(level$(up + somethingup), over + somethingover, 1) = "s" AND MID$(body.items$, 10) = "" THEN spaceclear = 0

 IF MID$(item.lvl$(up + somethingup), over + somethingover, 1) = "" THEN spaceclear = 1
 IF MID$(item.lvl$(up + somethingup), over + somethingover, 1) = "" THEN spaceclear = 1
 IF MID$(item.lvl$(up + somethingup), over + somethingover, 1) = "" THEN spaceclear = 1
 IF MID$(item.lvl$(up + somethingup), over + somethingover, 1) = "" THEN spaceclear = 1
 IF MID$(item.lvl$(up + somethingup), over + somethingover, 1) = "" THEN spaceclear = 1
 IF MID$(item.lvl$(up + somethingup), over + somethingover, 1) = "" THEN spaceclear = 1

 IF CurrMap% = 2 AND up + somethingup = 89 AND over + somethingover = 13 THEN
   IF MID$(level$(up + somethingup), over + somethingover, 1) = "." THEN CALL FightKnight
 END IF
 IF CurrMap% = 4 AND up + somethingup = 8 AND over + somethingover = 137 THEN
   IF MID$(level$(up + somethingup), over + somethingover, 1) = ":" THEN CALL FightWizard
 END IF
 IF CurrMap% = 4 AND up + somethingup = 96 AND over + somethingover = 29 THEN CALL FightNoel
 IF MID$(item.lvl$(up + somethingup), over + somethingover, 1) = "" THEN
   MID$(item.lvl$(up + somethingup), over + somethingover, 1) = " "
   ModeOfTravel% = 1
   spaceclear = 0
   GOTO EndBoat
 END IF
 IF MID$(item.lvl$(up + somethingup), over + somethingover, 1) = "" THEN
   MID$(item.lvl$(up + somethingup), over + somethingover, 1) = " "
   ModeOfTravel% = 2
   spaceclear = 0
   GOTO EndBoat
 END IF
 IF MID$(level$(up + somethingup), over + somethingover, 1) = "#" THEN
   IF MID$(body.items$, 1, 1) = "" AND MID$(body.items$, 3, 1) = "" THEN
	 IF MID$(body.items$, 8, 1) = "" AND MID$(body.items$, 10, 1) = "" THEN
	   ModeOfTravel% = 3
	   spaceclear = 0
	 END IF
   END IF
 END IF
 IF MID$(level$(up + somethingup), over + somethingover, 1) = "H" THEN
   IF MID$(body.items$, 1, 1) = "" AND MID$(body.items$, 3, 1) = "" THEN
	 IF MID$(body.items$, 8, 1) = "" AND MID$(body.items$, 10, 1) = "" THEN
	   ModeOfTravel% = 3
	   spaceclear = 0
	 END IF
   END IF
 END IF
EndBoat:
END SUB

SUB CalcSomething
 IF AnimFrame% = 1 OR AnimFrame% = 2 THEN somethingup = 1: somethingover = 0
 IF AnimFrame% = 3 OR AnimFrame% = 4 THEN somethingup = -1: somethingover = 0
 IF AnimFrame% = 5 OR AnimFrame% = 6 THEN somethingup = 0: somethingover = -1
 IF AnimFrame% = 7 OR AnimFrame% = 8 THEN somethingup = 0: somethingover = 1
END SUB

SUB ChangeLevels (NewMap%)
OPEN "temp2.s" FOR OUTPUT AS #3
 IF NewMap% = 1 THEN
   FOR I = 1 TO 25: WRITE #3, item.lvl(I): NEXT I: FOR I = 1 TO 25: WRITE #3, level(I): NEXT I
 ELSE
   FOR I = 1 TO 100: WRITE #3, item.lvl(I): NEXT I: FOR I = 1 TO 100: WRITE #3, level(I): NEXT I
 END IF
CLOSE #3
OPEN confile$ FOR INPUT AS #1
OPEN "temp.s" FOR OUTPUT AS #2
 INPUT #1, a, a, a, a, a: INPUT #1, a, a, a: INPUT #1, a, a, a, a
 INPUT #1, AItemName$, a: FOR I = 1 TO 15: INPUT #1, AItemName$: NEXT I
 FOR I = 1 TO 25: INPUT #1, item.lvl(I): NEXT I
 FOR I = 1 TO 25: INPUT #1, level(I): NEXT I
 WRITE #2, lvl, hp, hpmax, attack, defense: WRITE #2, money, exper, lefttonext
 WRITE #2, up, over, AnimFrame%, CurrMap%: WRITE #2, body.items, item.down
 FOR I = 1 TO 15: WRITE #2, inv(I): NEXT I
 IF NewMap% = 1 THEN
	OPEN "temp2.s" FOR INPUT AS #3
	 FOR I = 1 TO 25: INPUT #3, item.lvl(I): NEXT I: FOR I = 1 TO 25: INPUT #3, level(I): NEXT I
	CLOSE #3
 END IF
 FOR I = 1 TO 25: WRITE #2, item.lvl(I): NEXT I: FOR I = 1 TO 25: WRITE #2, level(I): NEXT I
 FOR I = 1 TO 100: INPUT #1, item.lvl(I): NEXT I: FOR I = 1 TO 100: INPUT #1, level(I): NEXT I
 IF NewMap% = 2 THEN
	OPEN "temp2.s" FOR INPUT AS #3
	 FOR I = 1 TO 100: INPUT #3, item.lvl(I): NEXT I: FOR I = 1 TO 100: INPUT #3, level(I): NEXT I
	CLOSE #3
 END IF
 FOR I = 1 TO 100: WRITE #2, item.lvl(I): NEXT I: FOR I = 1 TO 100: WRITE #2, level(I): NEXT I
 FOR I = 1 TO 100: INPUT #1, item.lvl(I): NEXT I: FOR I = 1 TO 100: INPUT #1, level(I): NEXT I
 IF NewMap% = 3 THEN
	OPEN "temp2.s" FOR INPUT AS #3
	 FOR I = 1 TO 100: INPUT #3, item.lvl(I): NEXT I: FOR I = 1 TO 100: INPUT #3, level(I): NEXT I
	CLOSE #3
 END IF
 FOR I = 1 TO 100: WRITE #2, item.lvl(I): NEXT I: FOR I = 1 TO 100: WRITE #2, level(I): NEXT I
 FOR I = 1 TO 100: INPUT #1, item.lvl(I): NEXT I: FOR I = 1 TO 100: INPUT #1, level(I): NEXT I
 IF NewMap% = 4 THEN
	OPEN "temp2.s" FOR INPUT AS #3
	 FOR I = 1 TO 100: INPUT #3, item.lvl(I): NEXT I: FOR I = 1 TO 100: INPUT #3, level(I): NEXT I
	CLOSE #3
 END IF
 FOR I = 1 TO 100: WRITE #2, item.lvl(I): NEXT I: FOR I = 1 TO 100: WRITE #2, level(I): NEXT I
CLOSE #2
CLOSE #1
KILL "temp2.s"
KILL confile$
OPEN "temp.s" FOR INPUT AS #1
OPEN confile$ FOR OUTPUT AS #2
 INPUT #1, a, a, a, a, a: INPUT #1, a, a, a: INPUT #1, a, a, a, a
 INPUT #1, AItemName$, a: FOR I = 1 TO 15: INPUT #1, AItemName$: NEXT I
 FOR I = 1 TO 25: INPUT #1, item.lvl(I): NEXT I
 FOR I = 1 TO 25: INPUT #1, level(I): NEXT I
 WRITE #2, lvl, hp, hpmax, attack, defense
 WRITE #2, money, exper, lefttonext
 WRITE #2, up, over, AnimFrame%, CurrMap%
 WRITE #2, body.items, item.down
 FOR I = 1 TO 15: WRITE #2, inv(I): NEXT I: FOR I = 1 TO 25: WRITE #2, item.lvl(I): NEXT I
 FOR I = 1 TO 25: WRITE #2, level(I): NEXT I
 FOR I = 1 TO 100: INPUT #1, item.lvl(I): NEXT I: FOR I = 1 TO 100: INPUT #1, level(I): NEXT I
 FOR I = 1 TO 100: WRITE #2, item.lvl(I): NEXT I: FOR I = 1 TO 100: WRITE #2, level(I): NEXT I
 FOR I = 1 TO 100: INPUT #1, item.lvl(I): NEXT I: FOR I = 1 TO 100: INPUT #1, level(I): NEXT I
 FOR I = 1 TO 100: WRITE #2, item.lvl(I): NEXT I: FOR I = 1 TO 100: WRITE #2, level(I): NEXT I
 FOR I = 1 TO 100: INPUT #1, item.lvl(I): NEXT I: FOR I = 1 TO 100: INPUT #1, level(I): NEXT I
 FOR I = 1 TO 100: WRITE #2, item.lvl(I): NEXT I: FOR I = 1 TO 100: WRITE #2, level(I): NEXT I
CLOSE #2
CLOSE #1
KILL "temp.s"
OPEN confile$ FOR INPUT AS #1
 INPUT #1, a, a, a, a, a: INPUT #1, a, a, a: INPUT #1, a, a, a, a: INPUT #1, AItemName$, a
 FOR I = 1 TO 15: INPUT #1, AItemName$: NEXT I
 FOR I = 1 TO 25: INPUT #1, item.lvl(I): NEXT I: FOR I = 1 TO 25: INPUT #1, level(I): NEXT I
 IF CurrMap% = 1 THEN GOTO DoneChangingLevels
 FOR I = 1 TO 100: INPUT #1, item.lvl(I): NEXT I: FOR I = 1 TO 100: INPUT #1, level(I): NEXT I
 IF CurrMap% = 2 THEN GOTO DoneChangingLevels
 FOR I = 1 TO 100: INPUT #1, item.lvl(I): NEXT I: FOR I = 1 TO 100: INPUT #1, level(I): NEXT I
 IF CurrMap% = 3 THEN GOTO DoneChangingLevels
 FOR I = 1 TO 100: INPUT #1, item.lvl(I): NEXT I: FOR I = 1 TO 100: INPUT #1, level(I): NEXT I
DoneChangingLevels:
CLOSE #1
END SUB

SUB CheckChest
	LINE (4, 147)-(214, 195), 0, BF
	IF SpotFound(I%, s%) THEN GOTO FoundASpot3
	DRAW "BM 6,148 C4 S4": CALL Font(0, "you can't carry any more!")
GOTO EndCheckChest
FoundASpot3:
	SELECT CASE CurrMap%
	CASE 2
	  IF up + somethingup = 7 AND over + somethingover = 57 THEN MID$(inv$(I%), s%, 1) = ""
	  IF up + somethingup = 40 AND over + somethingover = 100 THEN MID$(inv$(I%), s%, 1) = ""
	  IF up + somethingup = 74 AND over + somethingover = 48 THEN MID$(inv$(I%), s%, 1) = ""
	  IF up + somethingup = 78 AND over + somethingover = 137 THEN MID$(inv$(I%), s%, 1) = ""
	  IF up + somethingup = 81 AND over + somethingover = 132 THEN MID$(inv$(I%), s%, 1) = ""
	CASE 3
	  IF up + somethingup = 8 AND over + somethingover = 51 THEN MID$(inv$(I%), s%, 1) = ""
	  IF up + somethingup = 21 AND over + somethingover = 5 THEN MID$(inv$(I%), s%, 1) = ""
	  IF up + somethingup = 21 AND over + somethingover = 17 THEN MID$(inv$(I%), s%, 1) = ""
	  IF up + somethingup = 36 AND over + somethingover = 133 THEN MID$(inv$(I%), s%, 1) = ""
	  IF up + somethingup = 57 AND over + somethingover = 17 THEN MID$(inv$(I%), s%, 1) = ""
	  IF up + somethingup = 76 AND over + somethingover = 79 THEN MID$(inv$(I%), s%, 1) = ""
	  IF up + somethingup = 84 AND over + somethingover = 46 THEN MID$(inv$(I%), s%, 1) = ""
	CASE 4
	  IF up + somethingup = 18 AND over + somethingover = 119 THEN MID$(inv$(I%), s%, 1) = ""
	  IF up + somethingup = 29 AND over + somethingover = 18 THEN MID$(inv$(I%), s%, 1) = ""
	  IF up + somethingup = 67 AND over + somethingover = 67 THEN MID$(inv$(I%), s%, 1) = ""
	  IF up + somethingup = 74 AND over + somethingover = 114 THEN MID$(inv$(I%), s%, 1) = ""
	END SELECT
	  CALL GetItemName(inv$(I%), s%)
 IF MID$(inv$(I%), s%, 1) = " " THEN GOTO FoundGold
 DRAW "BM 6,148 C4 S4": CALL Font(0, "you found a " + AItemName$ + ".")
 GOTO EndCheckChest
FoundGold:
 DRAW "BM 6,148 C4 S4": CALL Font(0, "you got 20 gold pieces."): money = money + 20
EndCheckChest:
 CALL WriteStats
 CALL ShowInventory
END SUB

SUB CheckDresser
	LINE (4, 147)-(214, 195), 0, BF
	IF SpotFound(I%, s%) THEN GOTO FoundASpot2
	DRAW "BM 6,148 C4 S4": CALL Font(0, "you can't carry any more!")
GOTO EndCheckDresser
FoundASpot2:
 IF CurrMap% = 2 THEN
   IF up + somethingup = 13 AND over + somethingover = 20 THEN MID$(inv$(I%), s%, 1) = ""
   IF up + somethingup = 13 AND over + somethingover = 21 THEN MID$(inv$(I%), s%, 1) = ""
   IF up + somethingup = 13 AND over + somethingover = 22 THEN MID$(inv$(I%), s%, 1) = ""
   IF up + somethingup = 18 AND over + somethingover = 12 THEN MID$(inv$(I%), s%, 1) = ""
   IF up + somethingup = 18 AND over + somethingover = 13 THEN MID$(inv$(I%), s%, 1) = ""
   IF up + somethingup = 18 AND over + somethingover = 20 THEN MID$(inv$(I%), s%, 1) = ""
 END IF
 CALL GetItemName(inv$(I%), s%)
 DRAW "BM 6,148 C4 S4": CALL Font(0, "you found a " + AItemName$ + ".")
EndCheckDresser:
 CALL ShowInventory
END SUB

SUB CheckSign
 LINE (4, 147)-(214, 195), 0, BF
 IF MID$(item.lvl$(up + somethingup), over + somethingover, 1) = "" THEN
	DRAW "BM 5,148 C4 S4": CALL Font(0, "sign reads: weapon store")
 END IF
 IF MID$(item.lvl$(up + somethingup), over + somethingover, 1) = "" THEN
	DRAW "BM 5,148 C4 S4": CALL Font(0, "sign reads: item shop")
 END IF
 IF MID$(item.lvl$(up + somethingup), over + somethingover, 1) = "" THEN
	DRAW "BM 5,148 C4 S4": CALL Font(0, "sign reads: armor store")
 END IF
 IF MID$(item.lvl$(up + somethingup), over + somethingover, 1) = "" THEN
	DRAW "BM 5,148 C4 S4": CALL Font(0, "sign reads: inn")
 END IF
 IF up + somethingup = 17 AND CurrMap% = 1 AND over + somethingover = 14 THEN
	DRAW "BM 5,148 C4 S4": CALL Font(0, "sign reads: the castles treasury")
 END IF
 IF up + somethingup = 15 AND CurrMap% = 2 AND over + somethingover = 15 THEN
	DRAW "BM 5,148 C4 S4": CALL Font(0, "sign reads: staircase")
 END IF
 IF up + somethingup = 16 AND CurrMap% = 2 AND over + somethingover = 19 THEN
	DRAW "BM 5,148 C4 S4": CALL Font(0, "sign reads: king's room")
 END IF
 IF up + somethingup = 18 AND CurrMap% = 2 AND over + somethingover = 15 THEN
	DRAW "BM 5,148 C4 S4": CALL Font(0, "sign reads: servant's room")
 END IF
 IF up + somethingup = 18 AND CurrMap% = 2 AND over + somethingover = 19 THEN
	DRAW "BM 5,148 C4 S4": CALL Font(0, "sign reads: konrad's room")
 END IF
 IF up + somethingup = 41 AND CurrMap% = 2 AND over + somethingover = 15 THEN
	DRAW "BM 5,148 C4 S4": CALL Font(0, "sign reads: dining room")
 END IF
 IF up + somethingup = 41 AND CurrMap% = 2 AND over + somethingover = 19 THEN
	DRAW "BM 5,148 C4 S4": CALL Font(0, "sign reads: dining room")
 END IF
END SUB

SUB Continue
 CALL ScreenLoad("contin.pal", "contin.kon")
 PALETTE 0, 0
 ON ERROR GOTO NoSavedGames
 PALETTE 240, 0
 COLOR 240
 LOCATE 6
 FILES "*.sav"
 FOR y = 6 TO CSRLIN - 1: FOR x = 9 TO 40 STEP 18
	LOCATE y, x
	PRINT SPACE$(4)
	LOCATE y, x
	PRINT SPACE$(4)
 NEXT: NEXT
 LOCATE CSRLIN - 1
 PRINT SPACE$(40)
 LOCATE 6
 PRINT SPACE$(40)
 PALETTE 240, 65536 * INT(61) + 256 * INT(61) + INT(61)
 ON ERROR GOTO BadFileName
 COLOR 240: LOCATE 22, 1: INPUT "Name of game to continue-> ", confile$
 FixFileName confile$
 OPEN confile$ FOR INPUT AS #1
 INPUT #1, lvl, hp, hpmax, attack, defense
 INPUT #1, money, exper, lefttonext
 INPUT #1, up, over, AnimFrame%, CurrMap%
 INPUT #1, body.items, item.down
 FOR I = 1 TO 15
   INPUT #1, inv(I)
 NEXT I
 FOR I = 1 TO 25
   INPUT #1, item.lvl$(I)
 NEXT I
 FOR I = 1 TO 25: INPUT #1, level$(I): NEXT I
 IF CurrMap% = 1 THEN GOTO DoneChangingLvls
 FOR I = 1 TO 100: INPUT #1, item.lvl$(I): NEXT I: FOR I = 1 TO 100: INPUT #1, level$(I): NEXT I
 IF CurrMap% = 2 THEN GOTO DoneChangingLvls
 FOR I = 1 TO 100: INPUT #1, item.lvl$(I): NEXT I: FOR I = 1 TO 100: INPUT #1, level$(I): NEXT I
 IF CurrMap% = 3 THEN GOTO DoneChangingLvls
 FOR I = 1 TO 100: INPUT #1, item.lvl$(I): NEXT I: FOR I = 1 TO 100: INPUT #1, level$(I): NEXT I
DoneChangingLvls:
 CLOSE #1
END SUB

SUB DrawLevel
	posy% = 4
	FOR I% = 1 TO 7
	  posx% = 22
	  FOR h% = 1 TO 7
		f$ = MID$(level$((up - 4) + I%), (over - 4) + h%, 1)
		IF ASC(MID$(LevelGraphicList, ASC(MID$(level$((up - 4) + I%), (over - 4) + h%, 1)) + 1, 1)) <> 0 THEN
		  PUT (posx%, posy%), graphic(0, ASC(MID$(LevelGraphicList, ASC(MID$(level$((up - 4) + I%), (over - 4) + h%, 1)) + 1, 1))), PSET
		END IF
		CALL ShowItem(posx%, posy%, 2, ASC(MID$(ItemGraphicList, ASC(MID$(item.lvl$((up - 4) + I%), (over - 4) + h%, 1)) + 1, 1)))
		posx% = posx% + 25
	  NEXT h%
		posy% = posy% + 20
	NEXT I%
	key$ = INKEY$
END SUB

REM $STATIC
SUB DrawModeOfTravel
	SELECT CASE ModeOfTravel%
	CASE 0
	  CALL ShowGuy((4 * 25) - 3, (4 * 20) - 16, 2, AnimFrame%)
	CASE 1
	  CALL ShowItem((4 * 25) - 3, (4 * 20) - 16, 2, 67)
	  CALL ShowGuy((4 * 25) - 3, (4 * 20) - 16, 2, 1)
	CASE 2
	  CALL ShowGuy((4 * 25) - 3, (4 * 20) - 16, 2, 1)
	  CALL ShowItem((4 * 25) - 3, (4 * 20) - 16, 2, 68)
	CASE 3
	  CALL ShowGuy((4 * 25) - 3, (4 * 20) - 16, 2, 9)
	END SELECT
END SUB

REM $DYNAMIC
SUB DropObject
	LINE (4, 147)-(214, 195), 0, BF
	t% = 0
WriteItemsToDrop:
	ShowItemList "drop what (0 cancels)?", t%, 1
	DO
	  ObjectKeys DropOver%, DropUp%, t%, fcn%
	  SELECT CASE fcn%
	  CASE 1
		GOTO PickedDrop
	  CASE 2
		GOTO WriteItemsToDrop
	  CASE 3
		GOTO EndDropObject
	  END SELECT
	LOOP
PickedDrop:
 IF MID$(inv$(DropUp% + t%), DropOver%, 1) = " " THEN GOTO NothingToDrop
 IF MID$(item.lvl$(up), over, 1) <> " " THEN GOTO CantDropHere
 MID$(item.lvl$(up), over, 1) = MID$(inv$(DropUp% + t%), DropOver%, 1)
 CALL GetItemName(inv$(DropUp% + t%), DropOver%)
 DRAW "BM 6,148 C4 S4": CALL Font(0, "you dropped a " + AItemName$ + ".")
 MID$(inv$(DropUp% + t%), DropOver%, 1) = " "
 CALL ShowInventory: GOTO EndDropObject
NothingToDrop:
 DRAW "BM 6,148 C4 S4": CALL Font(0, "nothing there to drop."): GOTO EndDropObject
CantDropHere:
 DRAW "BM 6,148 C4 S4": CALL Font(0, "can't drop that here.")
EndDropObject:
 CheckForFight = 1
 DrawLevel
 DrawModeOfTravel
END SUB

SUB EquipObject
	LINE (4, 147)-(214, 195), 0, BF
	t% = 0
WriteEquipment:
	ShowItemList "equip what (0 cancels)?", t%, 3
	DO
	  ObjectKeys EquipOver%, EquipUp%, t%, fcn%
	  SELECT CASE fcn%
	  CASE 1
		GOTO PickedEquip
	  CASE 2
		GOTO WriteEquipment
	  CASE 3
		GOTO EndEquip
	  END SELECT
	LOOP
PickedEquip:
 IF MID$(inv$(EquipUp + t%), EquipOver, 1) = " " THEN GOTO NothingToEquip
 L% = EquipUp: w% = EquipOver
 CALL SwitchItems
 CALL SideGraphics
 CALL ShowInventory
GOTO EndEquip

NothingToEquip:
 DRAW "BM 6,148 C4 S4"
 CALL Font(0, "nothing there to equip."): P% = 0
 
EndEquip:
 IF P% = 50 THEN GOTO NothingToEquip
 CheckForFight = 1
 DrawLevel
 DrawModeOfTravel
END SUB

SUB Fight (EnemyType%, eland$)
 LINE (4, 147)-(214, 195), 0, BF
 fc% = FileOPEN("ENEMIES.KON", "I")
   FOR I = 1 TO EnemyType%
	  LINE INPUT #fc%, Enemy.name$
	  LINE INPUT #fc%, edraw$
	  INPUT #fc%, ehard%
   NEXT
 CLOSE fc%
 DRAW "BM 6,148 C4 S4": CALL Font(0, "you ran into a " + Enemy.name$ + ".")
 enemy.life% = ehard% * 20
 egold% = ehard% * 5
 eexper% = ehard% * 7
 LINE (22, 4)-(196, 143), 0, BF
 DEF SEG = VARSEG(getenemy(0, 1))
 BLOAD edraw$, VARPTR(getenemy(0, 1))
 DEF SEG
 PUT (31, 10), getenemy
 GET (31, 10)-(55, 29), getenemy(0, 1)
 GET (57, 10)-(81, 29), getenemy(0, 2)
SetupForFightMenu:
LINE (22, 4)-(196, 143), 0, BF
FOR I% = 0 TO 6
 IF eland$ = "g" THEN PUT ((I% * 25) + 22, 104), graphic(0, 10)
 IF eland$ = "w" THEN PUT ((I% * 25) + 22, 104), graphic(0, 36)
 IF eland$ = "d" THEN PUT ((I% * 25) + 22, 104), graphic(0, 8)
 IF eland$ = "s" THEN PUT ((I% * 25) + 22, 104), graphic(0, 48)
 IF eland$ = "c" THEN PUT ((I% * 25) + 22, 104), graphic(0, 21)
 IF eland$ = "p" THEN PUT ((I% * 25) + 22, 104), graphic(0, 24)
 IF eland$ = "l" THEN PUT ((I% * 25) + 22, 104), graphic(0, 31)
NEXT I%
CALL ShowGuy(22, 85, 2, 7): PUT (171, 84), getenemy(0, 1)
MainFightOptions:
 DRAW "BM 85,30 C4 S4": CALL Font(0, "fight menu")
 DRAW "BM 85,37 C4 S4": CALL Font(0, "----------")
 DRAW "BM 85,44 C4 S4": CALL Font(0, "1: blitz")
 DRAW "BM 85,51 C4 S4": CALL Font(0, "2: attack")
 DRAW "BM 85,58 C4 S4": CALL Font(0, "3: item")
 DRAW "BM 85,65 C4 S4": CALL Font(0, "4: escape")
DO
 key$ = INKEY$
 SELECT CASE key$
	CASE "1": GOTO Blitz
	CASE "2": GOTO AttackOnce
	CASE "3": CALL UseObject: GOTO SetupForFightMenu
	CASE "4": GOTO TryToRun
 END SELECT
LOOP
TryToRun:
 makeitornot = INT(RND * 5) + 1
 IF makeitornot > 1 THEN
	LINE (4, 147)-(214, 195), 0, BF
	DRAW "BM 6,148 C4 S4": CALL Font(0, "you managed to get away."): GOTO EndAllFightStuff
 END IF
 IF makeitornot = 1 THEN
	LINE (4, 147)-(214, 195), 0, BF
	DRAW "BM 6,148 C4 S4": CALL Font(0, "you did't get away."): GOTO HisTurn
 END IF
AttackOnce:
 FOR I% = 11 TO 2 STEP -1
	LINE (22, 84)-(196, 103), 0, BF
	CALL ShowGuy(104 - (I% * 7), 85, 2, 8): PUT (171, 84), getenemy(0, 1)
	Delay 25
	
	LINE (22, 84)-(196, 103), 0, BF
	CALL ShowGuy(104 - (I% * 7), 85, 2, 7): PUT (171, 84), getenemy(0, 1)
	Delay 25
 NEXT I%
 etakeaway = attack - (INT(RND * (ehard% * 2))): LINE (4, 147)-(214, 195), 0, BF
 IF etakeaway <= 0 THEN
	DRAW "BM 6,148 C4 S4": CALL Font(0, "you did no damage,"): etakeaway = 0
 ELSE
	DRAW "BM 6,148 C4 S4": CALL Font(0, "you bashed for" + STR$(etakeaway) + " damage,")
 END IF
 enemy.life = enemy.life - etakeaway
 IF hp <= 0 THEN GOTO FightEnded
 FOR I% = 2 TO 11
	LINE (22, 84)-(196, 103), 0, BF: CALL ShowGuy(104 - (I% * 7), 85, 2, 7): PUT (171, 84), getenemy(0, 1)
	Delay 25
	LINE (22, 84)-(196, 103), 0, BF: CALL ShowGuy(104 - (I% * 7), 85, 2, 8): PUT (171, 84), getenemy(0, 1)
	Delay 25
 NEXT I%
HisTurn:
 FOR I% = 11 TO 2 STEP -1
	LINE (22, 84)-(196, 103), 0, BF: CALL ShowGuy(22, 85, 2, 7): PUT (104 + (I% * 6), 84), getenemy(0, 2)
	Delay 25
	LINE (22, 84)-(196, 103), 0, BF: CALL ShowGuy(22, 85, 2, 7): PUT (104 + (I% * 6), 84), getenemy(0, 1)
	Delay 25
 NEXT I%
 utakeaway = ehard% + INT(((RND * (ehard% * 7)) + (ehard% * 2)) - (defense * .1))
 LINE (4, 147)-(214, 195), 0, BF
 IF utakeaway <= 0 THEN
	DRAW "BM 6,148 C4 S4": CALL Font(0, "you got no damage."): utakeaway = 0
 ELSE
	DRAW "BM 6,148 C4 S4": CALL Font(0, "you got" + STR$(utakeaway) + " damage.")
 END IF
 hp = hp - utakeaway: CALL WriteStats
 IF hp <= 0 THEN GOTO FightEnded
 FOR I% = 2 TO 11
	LINE (22, 84)-(196, 103), 0, BF
	CALL ShowGuy(22, 85, 2, 7): PUT (104 + (I% * 6), 84), getenemy(0, 2)
	Delay 25
	LINE (22, 84)-(196, 103), 0, BF
	CALL ShowGuy(22, 85, 2, 7): PUT (104 + (I% * 6), 84), getenemy(0, 1)
	Delay 25
 NEXT I%
 GOTO MainFightOptions
Blitz:
 LINE (85, 30)-(190, 70), 0, BF: DRAW "BM 49,44 C4 S4": CALL Font(0, "press 0 to break away")
 FOR I% = 11 TO 2 STEP -1
	LINE (22, 84)-(196, 103), 0, BF: CALL ShowGuy(104 - (I% * 7), 85, 2, 8): PUT (104 + (I% * 6), 84), getenemy(0, 2)
	Delay 30
	LINE (22, 84)-(196, 103), 0, BF: CALL ShowGuy(104 - (I% * 7), 85, 2, 7): PUT (104 + (I% * 6), 84), getenemy(0, 1)
	Delay 30
 NEXT I%
DO
 key$ = INKEY$
 IF key$ = "0" THEN GOTO CancelBlitz
 LINE (22, 84)-(196, 103), 0, BF: CALL ShowGuy(90, 85, 2, 8): PUT (116, 84), getenemy(0, 2)
 Delay 30
 LINE (22, 84)-(196, 103), 0, BF: CALL ShowGuy(90, 85, 2, 7): PUT (116, 84), getenemy(0, 1)
 Delay 30
 etakeaway = attack - (INT(RND * (ehard% * 2)))
 utakeaway = ehard% + INT(((RND * (ehard% * 7)) + (ehard% * 2)) - (defense * .1))
 LINE (4, 147)-(214, 195), 0, BF
 IF etakeaway <= 0 THEN
	DRAW "BM 6,148 C4 S4": CALL Font(0, "you did no damage,"): etakeaway = 0
 ELSE
	DRAW "BM 6,148 C4 S4": CALL Font(0, "you bashed for" + STR$(etakeaway) + " damage,")
 END IF
 IF utakeaway <= 0 THEN
	DRAW "BM 6,155 C4 S4": CALL Font(0, "and got no damage,"): utakeaway = 0
 ELSE
	DRAW "BM 6,155 C4 S4": CALL Font(0, "but got" + STR$(utakeaway) + " damage.")
 END IF
 hp = hp - utakeaway: enemy.life = enemy.life - etakeaway: CALL WriteStats
 Delay 100
LOOP UNTIL hp <= 0 OR enemy.life <= 0
GOTO FightEnded
CancelBlitz:
 DRAW "BM 49,44 C4 S4": CALL Font(0, "                     ")
 FOR I% = 2 TO 11
	LINE (22, 84)-(196, 103), 0, BF: CALL ShowGuy(104 - (I% * 7), 85, 2, 8): PUT (104 + (I% * 6), 84), getenemy(0, 2)
	Delay 30
	LINE (22, 84)-(196, 103), 0, BF: CALL ShowGuy(104 - (I% * 7), 85, 2, 7): PUT (104 + (I% * 6), 84), getenemy(0, 1)
	Delay 30
 NEXT I%
GOTO MainFightOptions
FightEnded:
 IF hp <= 0 THEN CALL YouDied
 money = money + egold%: exper = exper + eexper%: LINE (4, 147)-(214, 195), 0, BF
 DRAW "BM 6,148 C4 S4": CALL Font(0, "you beat the " + Enemy.name$ + ".")
 DRAW "BM 6,155 C4 S4": CALL Font(0, "you got " + STR$(egold%) + " gold.")
 DRAW "BM 6,162 C4 S4": CALL Font(0, "you got " + STR$(eexper%) + " experience.")
 IF exper >= lefttonext THEN
	lvl = lvl + 1: attack = attack + (INT(RND * 5) + 1)
	defense = defense + (INT(RND * 5) + 1): hpmax = hpmax + (INT(RND * 5) + 6)
	hp = hpmax: LINE (4, 147)-(214, 195), 0, BF
	DRAW "BM 6,148 C4 S4": CALL Font(0, "you gained a level.")
	DRAW "BM 6,162 C4 S4": CALL Font(0, "your defense raised.")
	DRAW "BM 6,155 C4 S4": CALL Font(0, "your attack raised.")
	lefttonext = lefttonext * 2
 END IF
EndAllFightStuff:
 CALL WriteStats
 DrawLevel
 DrawModeOfTravel
END SUB

SUB FightKnight
EnemyType% = 26
eland$ = "g"
CALL Fight(EnemyType%, eland$)
MID$(item.lvl$(up + somethingup), over + somethingover, 1) = "v"
END SUB

SUB FightNoel
EnemyType% = 28
eland$ = "c"
CALL Fight(EnemyType%, eland$)
over = 17: up = 15: AnimFrame% = 3
CurrMap% = CurrMap% - 2: CALL ChangeLevels(CurrMap% + 2)
DrawLevel
DrawModeOfTravel
LINE (4, 147)-(214, 195), 0, BF
DRAW "BM 5,148 C4 S4": CALL Font(0, "king steve: thank you so much")
DRAW "BM 5,155 C4 S4": CALL Font(0, "     for destroying noel and ")
DRAW "BM 5,162 C4 S4": CALL Font(0, "     getting the magic stone!")
DRAW "BM 5,169 C4 S4": CALL Font(0, "     you are truly the coolest")
DRAW "BM 5,176 C4 S4": CALL Font(0, "     dude i know!")
DRAW "BM 103,190 C10 S4": CALL Font(0, "press")
DRAW "BM 139,190 C10 S4": CALL Font(0, "a")
DRAW "BM 152,190 C10 S4": CALL Font(0, "key")
DO: LOOP UNTIL INKEY$ <> "": CLS : CALL Credits(75, 1, -1, 20, 0)
CLS : LOCATE 12, 16: PRINT "THE END!"
LOCATE 13, 12: PRINT "Watch for KTW2!!": SYSTEM
END SUB

SUB FightSetup
	IF CurrMap% = 2 AND up > 22 AND up < 42 AND over > 5 AND over < 33 THEN GOTO NotRightForFighting
	IF BlockNotRightForFighting THEN GOTO NotRightForFighting
	IF MID$(level$(up), over, 1) = "" THEN
	  eland$ = "l"
	  WhoWeFight% = INT(RND * 2) + 1
	  IF WhoWeFight% = 1 THEN EnemyType% = 18
	  IF WhoWeFight% = 2 THEN EnemyType% = 21
	  GOTO FightNow
	END IF
	IF CurrMap% = 4 THEN
	  eland$ = "c": WhoWeFight% = INT(RND * 6) + 1
	  IF MID$(level$(up), over, 1) = "" THEN eland$ = "p"
	  IF WhoWeFight% = 1 THEN EnemyType% = 25
	  IF WhoWeFight% = 2 THEN EnemyType% = 24
	IF WhoWeFight% = 3 THEN EnemyType% = 23
	IF WhoWeFight% = 4 THEN EnemyType% = 22
	IF WhoWeFight% = 5 THEN EnemyType% = 20
	IF WhoWeFight% = 6 THEN EnemyType% = 21
	GOTO FightNow
 END IF
 IF CurrMap% = 3 THEN
	eland$ = "c"
	IF MID$(level$(up), over, 1) = "" THEN eland$ = "p"
	WhoWeFight% = INT(RND * 6) + 1
	IF WhoWeFight% = 1 THEN EnemyType% = 10
	IF WhoWeFight% = 2 THEN EnemyType% = 11
	IF WhoWeFight% = 3 THEN EnemyType% = 12
	IF WhoWeFight% = 4 THEN EnemyType% = 17
	IF WhoWeFight% = 5 THEN EnemyType% = 18
	IF WhoWeFight% = 6 THEN EnemyType% = 19
	GOTO FightNow
 END IF
 IF MID$(level$(up), over, 1) = "H" OR MID$(level$(up), over, 1) = "#" THEN
	eland$ = "w"
	IF lvl <= 2 THEN amountRandom = 3
	IF lvl <= 5 AND lvl > 2 THEN amountRandom = 5
	IF lvl > 5 THEN amountRandom = 7
	WhoWeFight% = INT(RND * amountRandom) + 1
	IF WhoWeFight% = 1 THEN EnemyType% = 1
	IF WhoWeFight% = 2 THEN EnemyType% = 4
	IF WhoWeFight% = 3 THEN EnemyType% = 3
	IF WhoWeFight% = 4 THEN EnemyType% = 14
	IF WhoWeFight% = 5 THEN EnemyType% = 15
	IF WhoWeFight% = 6 THEN EnemyType% = 16
	IF WhoWeFight% = 7 THEN EnemyType% = 13
	GOTO FightNow
 END IF
 IF MID$(level$(up), over, 1) = "," OR MID$(level$(up), over, 1) = "S" THEN
	eland$ = "d"
	IF lvl <= 2 THEN amountRandom = 3
	IF lvl <= 4 AND lvl > 2 THEN amountRandom = 4
	IF lvl > 4 THEN amountRandom = 6
	WhoWeFight% = INT(RND * amountRandom) + 1
	IF WhoWeFight% = 1 THEN EnemyType% = 2
	IF WhoWeFight% = 2 THEN EnemyType% = 9
	IF WhoWeFight% = 3 THEN EnemyType% = 8
	IF WhoWeFight% = 4 THEN EnemyType% = 19
	IF WhoWeFight% = 5 THEN EnemyType% = 6
	IF WhoWeFight% = 6 THEN EnemyType% = 20
	GOTO FightNow
 END IF
 IF MID$(level$(up), over, 1) = "s" THEN
	eland$ = "s"
	IF lvl < 3 THEN amountRandom = 1
	IF lvl > 2 THEN amountRandom = 2
	WhoWeFight% = INT(RND * amountRandom) + 1
	IF WhoWeFight% = 1 THEN EnemyType% = 12
	IF WhoWeFight% = 2 THEN EnemyType% = 22
	GOTO FightNow
 END IF
 IF over > 70 THEN
	eland$ = "g"
	IF lvl < 3 THEN amountRandom = 3
	IF lvl > 2 AND lvl < 5 THEN amountRandom = 5
	IF lvl > 4 THEN amountRandom = 8
	WhoWeFight% = INT(RND * amountRandom) + 1
	IF WhoWeFight% = 1 THEN EnemyType% = 2
	IF WhoWeFight% = 2 THEN EnemyType% = 4
	IF WhoWeFight% = 3 THEN EnemyType% = 6
	IF WhoWeFight% = 4 THEN EnemyType% = 5
	IF WhoWeFight% = 5 THEN EnemyType% = 11
	IF WhoWeFight% = 6 THEN EnemyType% = 23
	IF WhoWeFight% = 7 THEN EnemyType% = 25
	IF WhoWeFight% = 8 THEN EnemyType% = 7
	GOTO FightNow
 END IF
 eland$ = "g"
 IF lvl < 3 THEN amountRandom = 1
 IF lvl > 2 AND lvl < 5 THEN amountRandom = 3
 IF lvl > 4 THEN amountRandom = 5
 WhoWeFight% = INT(RND * amountRandom) + 1
 IF WhoWeFight% = 1 THEN EnemyType% = 2
 IF WhoWeFight% = 2 THEN EnemyType% = 4
 IF WhoWeFight% = 3 THEN EnemyType% = 9
 IF WhoWeFight% = 4 THEN EnemyType% = 5
 IF WhoWeFight% = 5 THEN EnemyType% = 11
FightNow:
 CALL Fight(EnemyType%, eland$)
  'WhoWeFight
NotRightForFighting:
END SUB

SUB FightWizard
EnemyType% = 27
eland$ = "c"
CALL Fight(EnemyType%, eland$)
MID$(item.lvl$(up + somethingup), over + somethingover, 1) = ";"
END SUB

SUB GetItemName (stringtolookin$, lookover%)
 AItemName$ = ItemName$(ASC(MID$(stringtolookin$, lookover%, 1)))
END SUB

SUB GetObject
 LINE (4, 147)-(214, 195), 0, BF
 IF MID$(item.lvl$(up), over, 1) = " " THEN GOTO NothingThere
 IF MID$(item.lvl$(up), over, 1) = "" THEN GOTO CantGetIt
 IF MID$(item.lvl$(up), over, 1) = "" THEN GOTO CantGetIt
 IF MID$(item.lvl$(up), over, 1) = "" THEN GOTO CantGetIt
 IF MID$(item.lvl$(up), over, 1) = "" THEN GOTO CantGetIt
 IF MID$(item.lvl$(up), over, 1) = "" THEN GOTO CantGetIt
 IF MID$(item.lvl$(up), over, 1) = "" THEN GOTO CantGetIt
 IF MID$(item.lvl$(up), over, 1) = "" THEN GOTO CantGetIt
 IF MID$(item.lvl$(up), over, 1) = "" THEN GOTO CantGetIt
 IF MID$(item.lvl$(up), over, 1) = "" THEN GOTO CantGetIt
 IF MID$(item.lvl$(up), over, 1) = "" THEN GOTO CantGetIt
 IF MID$(item.lvl$(up), over, 1) = "" THEN GOTO CantGetIt
 IF MID$(item.lvl$(up), over, 1) = "" THEN GOTO CantGetIt
 IF MID$(item.lvl$(up), over, 1) = "" THEN GOTO CantGetIt

 IF SpotFound(I%, s%) THEN GOTO FoundASpot
 DRAW "BM 6,148 C4 S4": CALL Font(0, "you can't carry any more!")
 CheckForFight = 1: GOTO EndGetObject
FoundASpot:
 MID$(inv$(I%), s%, 1) = MID$(item.lvl$(up), over, 1)
 CALL GetItemName(item.lvl$(up), over)
 DRAW "BM 6,148 C4 S4": CALL Font(0, "you picked up a " + AItemName$ + ".")
 MID$(item.lvl$(up), over, 1) = " ": CALL ShowInventory: CheckForFight = 1: GOTO EndGetObject
NothingThere:
 DRAW "BM 6,148 C4 S4": CALL Font(0, "nothing there to get."): CheckForFight = 1: GOTO EndGetObject
CantGetIt:
 DRAW "BM 6,148 C4 S4": CALL Font(0, "you can't get that."): CheckForFight = 1
EndGetObject:
 DrawLevel
 DrawModeOfTravel
END SUB

SUB Inn (Cost%)
	LINE (22, 4)-(196, 143), 0, BF
	DRAW "BM 24,6 C4 S4": CALL Font(0, "want to stay the night?")

	DRAW "BM 24,13 C4 S4": CALL Font(0, "y)es   ," + LTRIM$(STR$(Cost%)) + " bucks")
	DRAW "BM 24,20 C4 S4": CALL Font(0, "n)o")
	DO
	  key$ = INKEY$
	  SELECT CASE key$
	  CASE "y"
		IF money >= Cost% THEN
		  money = money - Cost%: CALL SleepNow: GOTO EndInn
		ELSE
		  DRAW "BM 6,148 C4 S4": CALL Font(0, "you don't have enough money!"): GOTO EndInn
		END IF
	  CASE "n": GOTO EndInn
	  END SELECT
	LOOP
EndInn:
END SUB

SUB LoadItemGraphicList (Filename$)
	fc% = FileOPEN(Filename$, "B")
	GET fc%, , ItemGraphicList
	CLOSE fc%
END SUB

SUB LoadItemNames (Filename$)
	fc% = FileOPEN(Filename$, "I")
	FOR I% = 0 TO 255
	   LINE INPUT #fc%, ItemName$(I%)
	NEXT
	CLOSE fc%
END SUB

SUB LoadLevelGraphicList (Filename$)
	fc% = FileOPEN(Filename$, "B")
	GET fc%, , LevelGraphicList
	CLOSE fc%
END SUB

SUB LoadSolidList (Filename$)
	fc% = FileOPEN(Filename$, "B")
	GET fc%, , SolidList
	CLOSE fc%
END SUB

SUB PlayKonrad
	PalTimer& = LONGTIMER
	DO
	  IF LongTimerDelta&(PalTimer&) >= 100 THEN CALL RotateColors: PalTimer& = LONGTIMER
	  keyboard$ = INKEY$
	  SELECT CASE keyboard$
	  CASE CHR$(0) + "H"
		IF AnimFrame% <> 3 AND AnimFrame% <> 4 THEN AnimFrame% = 4
		BlockTravel
		IF spaceclear = 0 THEN
		  up = up - 1
		  AnimFrame% = AnimFrame% + 1
		  IF AnimFrame% = 5 THEN AnimFrame% = 3
		END IF
		IF CheckForFight = 1 THEN
		  WhoWeFight% = INT(RND * 15) + 1
		  IF WhoWeFight% = 5 THEN CALL FightSetup
		END IF
		DrawLevel
		DrawModeOfTravel
	  CASE CHR$(0) + "P"
		IF AnimFrame% <> 1 AND AnimFrame% <> 2 THEN AnimFrame% = 2
		BlockTravel
		IF spaceclear = 0 THEN
		  up = up + 1
		  AnimFrame% = AnimFrame% + 1
		  IF AnimFrame% = 3 THEN AnimFrame% = 1
		END IF
		IF CheckForFight = 1 THEN
		  WhoWeFight% = INT(RND * 15) + 1
		  IF WhoWeFight% = 5 THEN CALL FightSetup
		END IF
		DrawLevel
		DrawModeOfTravel
	  CASE CHR$(0) + "M"
		IF AnimFrame% <> 7 AND AnimFrame% <> 8 THEN AnimFrame% = 8
		BlockTravel
		IF spaceclear = 0 THEN
		  over = over + 1
		  AnimFrame% = AnimFrame% + 1
		  IF AnimFrame% = 9 THEN AnimFrame% = 7
		END IF
		IF CheckForFight = 1 THEN
		  WhoWeFight% = INT(RND * 15) + 1
		  IF WhoWeFight% = 5 THEN CALL FightSetup
		END IF
		DrawLevel
		DrawModeOfTravel
	  CASE CHR$(0) + "K"
		IF AnimFrame% <> 5 AND AnimFrame% <> 6 THEN AnimFrame% = 6
		BlockTravel
		IF spaceclear = 0 THEN
		  over = over - 1
		  AnimFrame% = AnimFrame% + 1
		  IF AnimFrame% = 7 THEN AnimFrame% = 5
		END IF
		IF CheckForFight THEN
		  WhoWeFight% = INT(RND * 15) + 1
		  IF WhoWeFight% = 5 THEN CALL FightSetup
		END IF
		DrawLevel
		DrawModeOfTravel
	  CASE "]"
		item.down = item.down + 1
		IF item.down > 15 THEN
		  item.down = 15
		ELSE
		  CALL ShowInventory
		END IF
	  CASE "["
		item.down = item.down - 1
		IF item.down < 1 THEN
		  item.down = 1
		ELSE
		  CALL ShowInventory
		END IF
	  CASE "h": CALL GameHelp
	  CASE "s": CALL SaveGame
	  CASE "q": CALL QuitGame
	  CASE "g": CALL GetObject
	  CASE "d": CALL DropObject
	  CASE "u": CALL UseObject
	  CASE "e": CALL EquipObject
	  CASE " ": CALL UseSomething
	  END SELECT
	  spaceclear = 0
	LOOP
END SUB

SUB RotateColors
	currentpal = currentpal - 1
	IF currentpal = 0 THEN currentpal = 3
	SELECT CASE currentpal
	CASE 1
	  PALETTE 239, 51
	  PALETTE 240, 41
	  PALETTE 241, 31
	  PALETTE 242, 65536 * 51
	  PALETTE 243, 65536 * 41
	  PALETTE 244, 65536 * 31
	  PALETTE 245, 65536 * 61
	  PALETTE 246, 65536 * 51
	  PALETTE 247, 65536 * 41
	CASE 2
	  PALETTE 239, 41
	  PALETTE 240, 31
	  PALETTE 241, 51
	  PALETTE 242, 65536 * 41
	  PALETTE 243, 65536 * 31
	  PALETTE 244, 65536 * 51
	  PALETTE 245, 65536 * 51
	  PALETTE 246, 65536 * 41
	  PALETTE 247, 65536 * 61
	CASE 3
	  PALETTE 245, 65536 * 41
	  PALETTE 247, 65536 * 51
	  PALETTE 246, 65536 * 61
	  PALETTE 242, 65536 * 31
	  PALETTE 244, 65536 * 41
	  PALETTE 243, 65536 * 51
	  PALETTE 239, 31
	  PALETTE 240, 51
	  PALETTE 241, 41
	END SELECT
END SUB

SUB SaveGame
 OPEN "temp2.s" FOR OUTPUT AS #3
 IF CurrMap% = 1 THEN
   FOR I = 1 TO 25
	 WRITE #3, item.lvl(I)
   NEXT I
   FOR I = 1 TO 25
	 WRITE #3, level(I)
   NEXT I
 ELSE
   FOR I = 1 TO 100
	 WRITE #3, item.lvl(I)
	NEXT I
	FOR I = 1 TO 100
	  WRITE #3, level(I)
	 NEXT I
 END IF
CLOSE #3
OPEN confile$ FOR INPUT AS #1
OPEN "temp.s" FOR OUTPUT AS #2
 INPUT #1, a, a, a, a, a: INPUT #1, a, a, a: INPUT #1, a, a, a, a
 INPUT #1, AItemName$, a: FOR I = 1 TO 15: INPUT #1, AItemName$: NEXT I
 FOR I = 1 TO 25
   INPUT #1, item.lvl(I)
 NEXT I
 FOR I = 1 TO 25: INPUT #1, level(I): NEXT I
 WRITE #2, lvl, hp, hpmax, attack, defense
 WRITE #2, money, exper, lefttonext
 WRITE #2, up, over, AnimFrame%, CurrMap%
 WRITE #2, body.items, item.down
 FOR I = 1 TO 15
 WRITE #2, inv(I): NEXT I
 IF NewMap% = 1 THEN
	OPEN "temp2.s" FOR INPUT AS #3
	 FOR I = 1 TO 25
	   INPUT #3, item.lvl(I)
	 NEXT I
	 FOR I = 1 TO 25
	   INPUT #3, level(I)
	 NEXT I
	CLOSE #3
 END IF
 FOR I = 1 TO 25: WRITE #2, item.lvl(I): NEXT I: FOR I = 1 TO 25: WRITE #2, level(I): NEXT I
 FOR I = 1 TO 100: INPUT #1, item.lvl(I): NEXT I: FOR I = 1 TO 100: INPUT #1, level(I): NEXT I
 IF NewMap% = 2 THEN
	OPEN "temp2.s" FOR INPUT AS #3
	 FOR I = 1 TO 100: INPUT #3, item.lvl(I): NEXT I: FOR I = 1 TO 100: INPUT #3, level(I): NEXT I
	CLOSE #3
 END IF
 FOR I = 1 TO 100: WRITE #2, item.lvl(I): NEXT I: FOR I = 1 TO 100: WRITE #2, level(I): NEXT I
 FOR I = 1 TO 100: INPUT #1, item.lvl(I): NEXT I: FOR I = 1 TO 100: INPUT #1, level(I): NEXT I
 IF NewMap% = 3 THEN
	OPEN "temp2.s" FOR INPUT AS #3
	 FOR I = 1 TO 100: INPUT #3, item.lvl(I): NEXT I: FOR I = 1 TO 100: INPUT #3, level(I): NEXT I
	CLOSE #3
 END IF
 FOR I = 1 TO 100: WRITE #2, item.lvl(I): NEXT I: FOR I = 1 TO 100: WRITE #2, level(I): NEXT I
 FOR I = 1 TO 100: INPUT #1, item.lvl(I): NEXT I: FOR I = 1 TO 100: INPUT #1, level(I): NEXT I
 IF NewMap% = 4 THEN
	OPEN "temp2.s" FOR INPUT AS #3
	 FOR I = 1 TO 100: INPUT #3, item.lvl(I): NEXT I: FOR I = 1 TO 100: INPUT #3, level(I): NEXT I
	CLOSE #3
 END IF
 FOR I = 1 TO 100: WRITE #2, item.lvl(I): NEXT I: FOR I = 1 TO 100: WRITE #2, level(I): NEXT I
CLOSE #2
CLOSE #1
KILL "temp2.s"
KILL confile$
OPEN "temp.s" FOR INPUT AS #1
OPEN confile$ FOR OUTPUT AS #2
 INPUT #1, a, a, a, a, a: INPUT #1, a, a, a: INPUT #1, a, a, a, a
 INPUT #1, AItemName$, a: FOR I = 1 TO 15: INPUT #1, AItemName$: NEXT I
 FOR I = 1 TO 25: INPUT #1, item.lvl(I): NEXT I: FOR I = 1 TO 25: INPUT #1, level(I): NEXT I
 WRITE #2, lvl, hp, hpmax, attack, defense: WRITE #2, money, exper, lefttonext
 WRITE #2, up, over, AnimFrame%, CurrMap%: WRITE #2, body.items, item.down
 FOR I = 1 TO 15: WRITE #2, inv(I): NEXT I: FOR I = 1 TO 25: WRITE #2, item.lvl(I): NEXT I
 FOR I = 1 TO 25: WRITE #2, level(I): NEXT I
 FOR I = 1 TO 100: INPUT #1, item.lvl(I): NEXT I: FOR I = 1 TO 100: INPUT #1, level(I): NEXT I
 FOR I = 1 TO 100: WRITE #2, item.lvl(I): NEXT I: FOR I = 1 TO 100: WRITE #2, level(I): NEXT I
 FOR I = 1 TO 100: INPUT #1, item.lvl(I): NEXT I: FOR I = 1 TO 100: INPUT #1, level(I): NEXT I
 FOR I = 1 TO 100: WRITE #2, item.lvl(I): NEXT I: FOR I = 1 TO 100: WRITE #2, level(I): NEXT I
 FOR I = 1 TO 100: INPUT #1, item.lvl(I): NEXT I: FOR I = 1 TO 100: INPUT #1, level(I): NEXT I
 FOR I = 1 TO 100: WRITE #2, item.lvl(I): NEXT I: FOR I = 1 TO 100: WRITE #2, level(I): NEXT I
CLOSE #2
CLOSE #1
KILL "temp.s"
OPEN confile$ FOR INPUT AS #1
 INPUT #1, a, a, a, a, a: INPUT #1, a, a, a
 INPUT #1, a, a, a, a: INPUT #1, AItemName$, a
 FOR I = 1 TO 15: INPUT #1, AItemName$: NEXT I
 FOR I = 1 TO 25: INPUT #1, item.lvl(I): NEXT I: FOR I = 1 TO 25: INPUT #1, level(I): NEXT I
 IF CurrMap% = 1 THEN GOTO DoneChangingLvls2
 FOR I = 1 TO 100: INPUT #1, item.lvl(I): NEXT I: FOR I = 1 TO 100: INPUT #1, level(I): NEXT I
 IF CurrMap% = 2 THEN GOTO DoneChangingLvls2
 FOR I = 1 TO 100: INPUT #1, item.lvl(I): NEXT I: FOR I = 1 TO 100: INPUT #1, level(I): NEXT I
 IF CurrMap% = 3 THEN GOTO DoneChangingLvls2
 FOR I = 1 TO 100: INPUT #1, item.lvl(I): NEXT I: FOR I = 1 TO 100: INPUT #1, level(I): NEXT I
DoneChangingLvls2:
CLOSE #1
LINE (4, 147)-(214, 195), 0, BF: a = LEN(confile$)
AItemName$ = LEFT$(confile$, a - 4)
DRAW "BM 6,148 C4 S4": CALL Font(0, "your gamed was saved as " + AItemName$)
END SUB

SUB SetupGame
	'Be careful, this routine depends on screens loaded in other routines
	FOR I% = 1 TO 255: PALETTE I%, 0: NEXT I%

	
	InitGuy
   
	GET (235, 1)-(259, 20), graphic(0, 64)
	GET (235, 22)-(259, 41), graphic(0, 3)
   

ScreenLoad2 "city.kon"
GET (1, 1)-(25, 20), graphic(0, 80): GET (27, 1)-(51, 20), graphic(0, 81)
GET (53, 1)-(77, 20), graphic(0, 60): GET (79, 1)-(103, 20), graphic(0, 31)
GET (105, 1)-(129, 20), graphic(0, 79): GET (131, 1)-(155, 20), graphic(0, 22)
GET (157, 1)-(181, 20), graphic(0, 21): GET (183, 1)-(207, 20), graphic(0, 59)
GET (209, 1)-(233, 20), graphic(0, 6): GET (235, 1)-(259, 20), graphic(0, 7)
GET (261, 1)-(285, 20), graphic(0, 62)
GET (1, 22)-(25, 41), graphic(0, 51): GET (27, 22)-(51, 41), graphic(0, 2)
GET (53, 22)-(77, 41), graphic(0, 61): GET (79, 22)-(103, 41), graphic(0, 5)
GET (105, 22)-(129, 41), graphic(0, 78): GET (131, 22)-(155, 41), graphic(0, 82)
GET (157, 22)-(181, 41), graphic(0, 24): GET (183, 22)-(207, 41), graphic(0, 1)
GET (209, 22)-(233, 41), graphic(0, 28): GET (235, 22)-(259, 41), graphic(0, 23)

	ScreenLoad2 "landscap.kon"
  
	GET (1, 1)-(25, 20), graphic(0, 26): GET (27, 1)-(51, 20), graphic(0, 49)
	GET (53, 1)-(77, 20), graphic(0, 29): GET (79, 1)-(103, 20), graphic(0, 43)
	GET (105, 1)-(129, 20), graphic(0, 55): GET (131, 1)-(155, 20), graphic(0, 44)
	GET (157, 1)-(181, 20), graphic(0, 4): GET (183, 1)-(207, 20), graphic(0, 36)
	GET (209, 1)-(233, 20), graphic(0, 11): GET (235, 1)-(259, 20), graphic(0, 57)
	GET (261, 1)-(285, 20), graphic(0, 37): GET (287, 1)-(311, 20), graphic(0, 71)
	GET (1, 22)-(25, 41), graphic(0, 10): GET (27, 22)-(51, 41), graphic(0, 54)
	GET (53, 22)-(77, 41), graphic(0, 53): GET (79, 22)-(103, 41), graphic(0, 50)
	GET (105, 22)-(129, 41), graphic(0, 41): GET (131, 22)-(155, 41), graphic(0, 25)
	GET (157, 22)-(181, 41), graphic(0, 40): GET (183, 22)-(207, 41), graphic(0, 8)
	GET (209, 22)-(233, 41), graphic(0, 45): GET (235, 22)-(259, 41), graphic(0, 56)
	GET (261, 22)-(285, 41), graphic(0, 9): GET (287, 22)-(311, 41), graphic(0, 72)
	GET (1, 43)-(25, 62), graphic(0, 17): GET (27, 43)-(51, 62), graphic(0, 18)
	GET (53, 43)-(77, 62), graphic(0, 74): GET (79, 43)-(103, 62), graphic(0, 52)
GET (105, 43)-(129, 62), graphic(0, 30): GET (183, 43)-(207, 62), graphic(0, 63)
GET (157, 43)-(181, 62), graphic(0, 66)': GET (131, 43)-(155, 62), path.1
GET (209, 43)-(233, 62), graphic(0, 69): GET (235, 43)-(259, 62), graphic(0, 39)
GET (261, 43)-(285, 62), graphic(0, 58): GET (287, 43)-(311, 62), graphic(0, 73)
GET (1, 64)-(25, 83), graphic(0, 19): GET (27, 64)-(51, 83), graphic(0, 20)
GET (53, 64)-(77, 83), graphic(0, 77): GET (79, 64)-(103, 83), graphic(0, 75)
GET (105, 64)-(129, 83), graphic(0, 76)': GET (131, 64)-(155, 83), path.3
GET (209, 64)-(233, 83), graphic(0, 35): GET (235, 64)-(259, 83), graphic(0, 48)
GET (261, 64)-(285, 83), graphic(0, 12): GET (287, 64)-(311, 83), graphic(0, 65)
GET (1, 85)-(25, 104), graphic(0, 13): GET (27, 85)-(51, 104), graphic(0, 14)
GET (53, 85)-(77, 104), graphic(0, 15): GET (79, 85)-(103, 104), graphic(0, 16)
GET (105, 85)-(129, 104), graphic(0, 33): GET (131, 85)-(155, 104), graphic(0, 32)
GET (157, 85)-(181, 104), graphic(0, 38): GET (183, 85)-(207, 104), graphic(0, 27)
GET (209, 85)-(233, 104), graphic(0, 46): GET (235, 85)-(259, 104), graphic(0, 42)
GET (261, 85)-(285, 104), graphic(0, 47): GET (287, 85)-(311, 104), graphic(0, 34)

	InitItems

	GET (261, 43)-(285, 62), graphic(0, 70)
	GET (287, 43)-(311, 62), graphic(0, 68)
	GET (1, 64)-(25, 83), graphic(0, 67)
	GET (79, 64)-(103, 83), fill.side


CLS : PALETTE
currentpal% = 2: spaceclear = 0: CheckForFight = 0: ModeOfTravel% = 0
END SUB

SUB SetupNewGame
COLOR 15
LOCATE 2, 4: PRINT "What do you call"
LOCATE 3, 4: PRINT "your game(max of"
LOCATE 4, 4: PRINT "8 characters)???": confile$ = ""
COLOR 7
DO
 LOCATE 5, 4: INPUT confile$
 IF confile$ <> "" THEN EXIT DO
LOOP
LINE (22, 4)-(196, 143), 0, BF
FixFileName confile$
OPEN "newgame.dat" FOR INPUT AS #1
OPEN confile$ FOR OUTPUT AS #2
 INPUT #1, lvl, hp, hpmax, attack, defense: INPUT #1, money, exper, lefttonext
 INPUT #1, up, over, AnimFrame%, CurrMap%: INPUT #1, body.items, item.down
 WRITE #2, lvl, hp, hpmax, attack, defense: WRITE #2, money, exper, lefttonext
 WRITE #2, up, over, AnimFrame%, CurrMap%: WRITE #2, body.items, item.down
 FOR I = 1 TO 15: INPUT #1, inv(I): NEXT I: FOR I = 1 TO 15: WRITE #2, inv(I): NEXT I
 FOR I = 1 TO 25: INPUT #1, item.lvl(I): NEXT I: FOR I = 1 TO 25: INPUT #1, level(I): NEXT I
 FOR I = 1 TO 25: WRITE #2, item.lvl(I): NEXT I: FOR I = 1 TO 25: WRITE #2, level(I): NEXT I
 FOR I = 1 TO 100: INPUT #1, item.lvl(I): NEXT I: FOR I = 1 TO 100: INPUT #1, level(I): NEXT I
 FOR I = 1 TO 100: WRITE #2, item.lvl(I): NEXT I: FOR I = 1 TO 100: WRITE #2, level(I): NEXT I
 FOR I = 1 TO 100: INPUT #1, item.lvl(I): NEXT I: FOR I = 1 TO 100: INPUT #1, level(I): NEXT I
 FOR I = 1 TO 100: WRITE #2, item.lvl(I): NEXT I: FOR I = 1 TO 100: WRITE #2, level(I): NEXT I
 FOR I = 1 TO 100: INPUT #1, item.lvl(I): NEXT I: FOR I = 1 TO 100: INPUT #1, level(I): NEXT I
 FOR I = 1 TO 100: WRITE #2, item.lvl(I): NEXT I: FOR I = 1 TO 100: WRITE #2, level(I): NEXT I
CLOSE #2
CLOSE #1
OPEN "newgame.dat" FOR INPUT AS #1
 INPUT #1, lvl, hp, hpmax, attack, defense: INPUT #1, money, exper, lefttonext
 INPUT #1, up, over, AnimFrame%, CurrMap%: INPUT #1, body.items, item.down
 FOR I = 1 TO 15
   INPUT #1, inv(I)
 NEXT I
 FOR I = 1 TO 25
   INPUT #1, item.lvl$(I)
 NEXT I
 FOR I = 1 TO 25
   INPUT #1, level$(I)
 NEXT I
 FOR I = 1 TO 100
   INPUT #1, item.lvl$(I)
 NEXT I
 FOR I = 1 TO 100
   INPUT #1, level$(I)
 NEXT I
CLOSE #1
END SUB

SUB ShowInventory
	a% = 1
	FOR I% = 220 TO 278 STEP 29
	  CALL ShowItem(I%, 175, 1, ASC(MID$(ItemGraphicList, ASC(MID$(inv$(item.down), a%, 1)) + 1, 1)))
	  IF ASC(MID$(ItemGraphicList, ASC(MID$(inv$(item.down), 1, 1)) + 1, 1)) = 0 THEN LINE (I%, 175)-(I% + 25, 195), 0, BF
	  a% = a% + 1
	NEXT I%
	a% = (21 / 15) * item.down: a% = a% + 173
	LINE (314, 174)-(315, 195), 15, BF: LINE (314, a%)-(315, a% + 1), 0, BF
END SUB

SUB ShowItemList (Title$, t%, InterestInList%)
	LINE (22, 4)-(196, 143), 0, BF
	DRAW "BM 24,6 C4 S4": CALL Font(0, Title$): I = 1
	FOR n% = 1 TO 5: FOR w% = 1 TO 3
	  CALL GetItemName(inv$(n% + t%), w%)
	  IF InterestInList% = 2 THEN
		IF MID$(inv$(n% + t%), w%, 1) <> "" THEN
		  IF MID$(inv$(n% + t%), w%, 1) <> "" THEN
			IF MID$(inv$(n% + t%), w%, 1) <> "" THEN
			  AItemList$ = " "
			END IF
		  END IF
		END IF
	  ELSEIF InterestInList% = 3 THEN
		IF MID$(inv$(n% + t%), w%, 1) <> "" THEN AItemList$ = " "
		IF MID$(inv$(n% + t%), w%, 1) <> "" THEN AItemList$ = " "
		IF MID$(inv$(n% + t%), w%, 1) <> "" THEN AItemList$ = " "
	  END IF
	  DRAW "BM 24," + STR$((I * 7) + 6) + " C4": CALL Font(0, CHR$(I + 96) + ": " + AItemName$): I = I + 1
	NEXT w%: NEXT n%
	DRAW "BM 24," + STR$((I * 7) + 6) + " C4"
	IF t% = 0 OR t% = 5 THEN
	  DRAW "BM 24," + STR$((16 * 7) + 6) + " C4": CALL Font(0, "p: next list...")
	END IF
	IF t% = 10 OR t% = 5 THEN
	  DRAW "BM 24," + STR$((17 * 7) + 6) + " C4": CALL Font(0, "q: previous list...")
	END IF

END SUB

SUB SideGraphics
 PUT (253, 65), fill.side, PSET
 CALL ShowItem(253, 65, 2, ASC(MID$(ItemGraphicList, ASC(MID$(body.items$, 1, 1)) + 1, 1)))
 PUT (220, 75), fill.side, PSET
 CALL ShowItem(220, 75, 2, ASC(MID$(ItemGraphicList, ASC(MID$(body.items$, 2, 1)) + 1, 1)))
 PUT (290, 75), fill.side, PSET
 CALL ShowItem(290, 75, 2, ASC(MID$(ItemGraphicList, ASC(MID$(body.items$, 3, 1)) + 1, 1)))
 PUT (219, 97), fill.side, PSET
 CALL ShowItem(210, 97, 2, ASC(MID$(ItemGraphicList, ASC(MID$(body.items$, 4, 1)) + 1, 1)))
 PUT (291, 97), fill.side, PSET
 CALL ShowItem(291, 97, 2, ASC(MID$(ItemGraphicList, ASC(MID$(body.items$, 5, 1)) + 1, 1)))
 PUT (219, 120), fill.side, PSET
 CALL ShowItem(219, 120, 2, ASC(MID$(ItemGraphicList, ASC(MID$(body.items$, 6, 1)) + 1, 1)))
 PUT (291, 120), fill.side, PSET
 CALL ShowItem(291, 120, 2, ASC(MID$(ItemGraphicList, ASC(MID$(body.items$, 7, 1)) + 1, 1)))
 PUT (221, 143), fill.side, PSET
 CALL ShowItem(221, 143, 2, ASC(MID$(ItemGraphicList, ASC(MID$(body.items$, 8, 1)) + 1, 1)))
 PUT (290, 143), fill.side, PSET
 CALL ShowItem(290, 143, 2, ASC(MID$(ItemGraphicList, ASC(MID$(body.items$, 9, 1)) + 1, 1)))
 PUT (254, 151), fill.side, PSET
 CALL ShowItem(254, 151, 2, ASC(MID$(ItemGraphicList, ASC(MID$(body.items$, 10, 1)) + 1, 1)))
END SUB

SUB SleepNow
	LINE (0, 0)-(319, 199), 0, BF
	hp = hpmax
	Delay 200
	ScreenLoad2 "side.kon"
	CALL SideGraphics
	CALL ShowInventory
	CALL WriteStats
	DrawLevel
	DrawModeOfTravel
	LINE (4, 147)-(214, 195), 0, BF
	DRAW "BM 6,148 C4 S4": CALL Font(0, "you had up a good night sleep.")
END SUB

FUNCTION SpotFound (a%, b%)
	FOR I% = 1 TO 15: FOR s% = 1 TO 3
	  IF MID$(inv$(I%), s%, 1) = " " THEN
		a% = I%
		b% = s%
		SpotFound% = -1
		EXIT FUNCTION
	  END IF
	NEXT s%: NEXT I%
END FUNCTION

SUB Switches
IF MID$(item.lvl$(up + somethingup), over + somethingover, 1) = "" THEN
 IF up + somethingup = 76 AND over + somethingover = 62 THEN MID$(level$(72), 62, 1) = ":": MID$(level$(84), 72, 1) = ":"
 IF up + somethingup = 78 AND over + somethingover = 56 THEN MID$(level$(78), 76, 1) = ":": MID$(level$(88), 58, 1) = ":"
 IF up + somethingup = 80 AND over + somethingover = 62 THEN MID$(level$(78), 58, 1) = ":": MID$(level$(74), 72, 1) = ":"
 IF up + somethingup = 80 AND over + somethingover = 72 THEN MID$(level$(92), 72, 1) = ":": MID$(level$(78), 86, 1) = ":"
 IF up + somethingup = 86 AND over + somethingover = 62 THEN MID$(level$(74), 62, 1) = ":": MID$(level$(72), 72, 1) = ":"
 IF up + somethingup = 86 AND over + somethingover = 72 THEN MID$(level$(72), 67, 1) = ":"
 IF up + somethingup = 88 AND over + somethingover = 56 THEN MID$(level$(94), 72, 1) = ":": MID$(level$(92), 62, 1) = ":"
 IF up + somethingup = 93 AND over + somethingover = 67 THEN MID$(level$(82), 62, 1) = ":": MID$(level$(82), 72, 1) = ":"
 IF up + somethingup = 96 AND over + somethingover = 72 THEN MID$(level$(94), 62, 1) = ":": MID$(level$(84), 62, 1) = ":"
 MID$(item.lvl$(up + somethingup), over + somethingover, 1) = ""
 GOTO EndSwitching
END IF
IF MID$(item.lvl$(up + somethingup), over + somethingover, 1) = "" THEN
 IF up + somethingup = 76 AND over + somethingover = 62 THEN MID$(level$(72), 62, 1) = "": MID$(level$(84), 72, 1) = ""
 IF up + somethingup = 78 AND over + somethingover = 56 THEN MID$(level$(78), 76, 1) = "": MID$(level$(88), 58, 1) = ""
 IF up + somethingup = 80 AND over + somethingover = 62 THEN MID$(level$(78), 58, 1) = "": MID$(level$(74), 72, 1) = ""
 IF up + somethingup = 80 AND over + somethingover = 72 THEN MID$(level$(92), 72, 1) = "": MID$(level$(78), 86, 1) = ""
 IF up + somethingup = 86 AND over + somethingover = 62 THEN MID$(level$(74), 62, 1) = "": MID$(level$(72), 72, 1) = ""
 IF up + somethingup = 86 AND over + somethingover = 72 THEN MID$(level$(72), 67, 1) = ""
 IF up + somethingup = 88 AND over + somethingover = 56 THEN MID$(level$(94), 72, 1) = "": MID$(level$(92), 62, 1) = ""
 IF up + somethingup = 93 AND over + somethingover = 67 THEN MID$(level$(82), 62, 1) = "": MID$(level$(82), 72, 1) = ""
 IF up + somethingup = 96 AND over + somethingover = 72 THEN MID$(level$(94), 62, 1) = "": MID$(level$(84), 62, 1) = ""
 MID$(item.lvl$(up + somethingup), over + somethingover, 1) = ""
END IF
EndSwitching:
DrawLevel
DrawModeOfTravel
END SUB

SUB SwitchItems
 P% = 0
 f$ = MID$(inv$(L% + t%), w%, 1)
 IF f$ = "" THEN itemstats% = 5: P% = 4: p2% = 1
 IF f$ = "" THEN itemstats% = 5: P% = 4: p2% = 1
 IF f$ = "" THEN itemstats% = 1: P% = 4: p2% = 1
 IF f$ = "" THEN itemstats% = 1: P% = 10: p2% = 0
 IF f$ = "" THEN itemstats% = 1: P% = 10: p2% = 0
 IF f$ = "" THEN itemstats% = 1: P% = 1: p2% = 0
 IF f$ = "" THEN itemstats% = 1: P% = 3: p2% = 0
 IF f$ = "" THEN itemstats% = 1: P% = 8: p2% = 0
 IF f$ = "" THEN itemstats% = 3: P% = 5: p2% = 0
 IF f$ = "" THEN itemstats% = 4: P% = 5: p2% = 0
 IF f$ = "" THEN itemstats% = 5: P% = 5: p2% = 0
 IF f$ = "" THEN itemstats% = 7: P% = 5: p2% = 0
 IF f$ = "" THEN itemstats% = 9: P% = 5: p2% = 0
 IF f$ = "" THEN itemstats% = 11: P% = 5: p2% = 2
 IF f$ = "" THEN itemstats% = 15: P% = 5: p2% = 0
 IF f$ = "" THEN itemstats% = 17: P% = 5: p2% = 0
 IF f$ = "" THEN itemstats% = 20: P% = 5: p2% = 0
 IF f$ = "" THEN itemstats% = 25: P% = 5: p2% = 0
 IF f$ = "" THEN itemstats% = 1: P% = 1: p2% = 0
 IF f$ = "" THEN itemstats% = 2: P% = 1: p2% = 0
 IF f$ = "" THEN itemstats% = 4: P% = 1: p2% = 0
 IF f$ = "" THEN itemstats% = 7: P% = 1: p2% = 2
 IF f$ = "" THEN itemstats% = 8: P% = 1: p2% = 0
 IF f$ = "" THEN itemstats% = 12: P% = 1: p2% = 2
 IF f$ = "" THEN itemstats% = 15: P% = 1: p2% = 0
 IF f$ = "" THEN itemstats% = 3: P% = 3: p2% = 0
 IF f$ = "" THEN itemstats% = 4: P% = 3: p2% = 0
 IF f$ = "" THEN itemstats% = 8: P% = 3: p2% = 0
 IF f$ = "" THEN itemstats% = 9: P% = 3: p2% = 0
 IF f$ = "" THEN itemstats% = 13: P% = 3: p2% = 0
 IF f$ = "" THEN itemstats% = 18: P% = 3: p2% = 0
 IF f$ = "" THEN itemstats% = 25: P% = 3: p2% = 2
 IF f$ = "" THEN itemstats% = 30: P% = 3: p2% = 0
 IF f$ = "" THEN itemstats% = 1: P% = 10: p2% = 0
 IF f$ = "" THEN itemstats% = 1: P% = 10: p2% = 0
 IF f$ = "" THEN itemstats% = 3: P% = 10: p2% = 2
 IF f$ = "" THEN itemstats% = 5: P% = 10: p2% = 0
 IF f$ = "" THEN itemstats% = 5: P% = 8: p2% = 0
 IF f$ = "" THEN itemstats% = 15: P% = 8: p2% = 0
 IF f$ = "" THEN itemstats% = 4: P% = 9: p2% = 0
 IF f$ = "" THEN itemstats% = 10: P% = 9: p2% = 0
 IF f$ = "" THEN itemstats% = 2: P% = 7: p2% = 0
 IF f$ = "" THEN itemstats% = 5: P% = 7: p2% = 0
 IF f$ = "" THEN itemstats% = 10: P% = 6: p2% = 1
 IF f$ = "" THEN itemstats% = 50: P% = 6: p2% = 1
 IF f$ = "" THEN itemstats% = 1: P% = 4: p2% = 1
 IF f$ = "" THEN itemstats% = 2: P% = 4: p2% = 1
 IF f$ = "" THEN itemstats% = 3: P% = 4: p2% = 1
 IF f$ = "" THEN itemstats% = 5: P% = 4: p2% = 1
 IF f$ = "" THEN itemstats% = 8: P% = 4: p2% = 1
 IF f$ = "" THEN itemstats% = 12: P% = 4: p2% = 1
 IF f$ = "" THEN itemstats% = 15: P% = 4: p2% = 1
 IF f$ = "" THEN itemstats% = 19: P% = 4: p2% = 1
 IF f$ = "" THEN itemstats% = 24: P% = 4: p2% = 1
 IF f$ = "" THEN itemstats% = 30: P% = 4: p2% = 1
 IF f$ = "" THEN itemstats% = 35: P% = 4: p2% = 1
 IF f$ = "" THEN itemstats% = 42: P% = 4: p2% = 1
 IF f$ = "" THEN itemstats% = 52: P% = 4: p2% = 1
 IF f$ = "" THEN itemstats% = 63: P% = 4: p2% = 1
 IF f$ = "" THEN itemstats% = 70: P% = 4: p2% = 1
 IF f$ = "" THEN itemstats% = 77: P% = 4: p2% = 1
 IF f$ = "" THEN itemstats% = 83: P% = 4: p2% = 1
 IF f$ = "" THEN itemstats% = 88: P% = 4: p2% = 1
 IF f$ = "" THEN itemstats% = 93: P% = 4: p2% = 1
 IF f$ = "" THEN itemstats% = 100: P% = 4: p2% = 1
 IF f$ = "" THEN itemstats% = 1: P% = 4: p2% = 1
 IF f$ = "" THEN itemstats% = 1: P% = 4: p2% = 1
 IF f$ = "" THEN itemstats% = 1: P% = 4: p2% = 1
 IF f$ = "" THEN itemstats% = 2: P% = 2: p2% = 0
 IF f$ = "" THEN itemstats% = 10: P% = 2: p2% = 0
 IF f$ = "" THEN itemstats% = 25: P% = 2: p2% = 0
 SELECT CASE P%
 CASE 5
 IF MID$(body.items$, 5, 1) = "" THEN itemstat% = 5
 IF MID$(body.items$, 5, 1) = "" THEN itemstat% = 5
 IF MID$(body.items$, 5, 1) = "" THEN itemstat% = 1
 IF MID$(body.items$, 5, 1) = "" THEN itemstat% = 1
 IF MID$(body.items$, 5, 1) = "" THEN itemstat% = 1
 IF MID$(body.items$, 5, 1) = "" THEN itemstat% = 1
 IF MID$(body.items$, 5, 1) = "" THEN itemstat% = 1
 IF MID$(body.items$, 5, 1) = "" THEN itemstat% = 1
 IF MID$(body.items$, 5, 1) = "" THEN itemstat% = 3
 IF MID$(body.items$, 5, 1) = "" THEN itemstat% = 4
 IF MID$(body.items$, 5, 1) = "" THEN itemstat% = 5
 IF MID$(body.items$, 5, 1) = "" THEN itemstat% = 7
 IF MID$(body.items$, 5, 1) = "" THEN itemstat% = 9
 IF MID$(body.items$, 5, 1) = "" THEN itemstat% = 11
 IF MID$(body.items$, 5, 1) = "" THEN itemstat% = 15
 IF MID$(body.items$, 5, 1) = "" THEN itemstat% = 17
 IF MID$(body.items$, 5, 1) = "" THEN itemstat% = 20
 IF MID$(body.items$, 5, 1) = "" THEN itemstat% = 25
 CASE 1
 IF MID$(body.items$, 1, 1) = "" THEN itemstat% = 1
 IF MID$(body.items$, 1, 1) = "" THEN itemstat% = 2
 IF MID$(body.items$, 1, 1) = "" THEN itemstat% = 4
 IF MID$(body.items$, 1, 1) = "" THEN itemstat% = 7
 IF MID$(body.items$, 1, 1) = "" THEN itemstat% = 8
 IF MID$(body.items$, 1, 1) = "" THEN itemstat% = 12
 IF MID$(body.items$, 1, 1) = "" THEN itemstat% = 15
 CASE 3
 IF MID$(body.items$, 3, 1) = "" THEN itemstat% = 3
 IF MID$(body.items$, 3, 1) = "" THEN itemstat% = 4
 IF MID$(body.items$, 3, 1) = "" THEN itemstat% = 8
 IF MID$(body.items$, 3, 1) = "" THEN itemstat% = 9
 IF MID$(body.items$, 3, 1) = "" THEN itemstat% = 13
 IF MID$(body.items$, 3, 1) = "" THEN itemstat% = 18
 IF MID$(body.items$, 3, 1) = "" THEN itemstat% = 25
 IF MID$(body.items$, 3, 1) = "" THEN itemstat% = 30
 CASE 10
 IF MID$(body.items$, 10, 1) = "" THEN itemstat% = 1
 IF MID$(body.items$, 10, 1) = "" THEN itemstat% = 1
 IF MID$(body.items$, 10, 1) = "" THEN itemstat% = 3
 IF MID$(body.items$, 10, 1) = "" THEN itemstat% = 5
 CASE 8
 IF MID$(body.items$, 8, 1) = "" THEN itemstat% = 5
 IF MID$(body.items$, 8, 1) = "" THEN itemstat% = 15
 CASE 9
 IF MID$(body.items$, 9, 1) = "" THEN itemstat% = 4
 IF MID$(body.items$, 9, 1) = "" THEN itemstat% = 10
 CASE 7
 IF MID$(body.items$, 7, 1) = "" THEN itemstat% = 2
 IF MID$(body.items$, 7, 1) = "" THEN itemstat% = 5
 CASE 6
 IF MID$(body.items$, 6, 1) = "" THEN itemstat% = 10
 IF MID$(body.items$, 6, 1) = "" THEN itemstat% = 50
 CASE 4
 IF MID$(body.items$, 4, 1) = "" THEN itemstat% = 1
 IF MID$(body.items$, 4, 1) = "" THEN itemstat% = 2
 IF MID$(body.items$, 4, 1) = "" THEN itemstat% = 3
 IF MID$(body.items$, 4, 1) = "" THEN itemstat% = 5
 IF MID$(body.items$, 4, 1) = "" THEN itemstat% = 8
 IF MID$(body.items$, 4, 1) = "" THEN itemstat% = 12
 IF MID$(body.items$, 4, 1) = "" THEN itemstat% = 15
 IF MID$(body.items$, 4, 1) = "" THEN itemstat% = 19
 IF MID$(body.items$, 4, 1) = "" THEN itemstat% = 24
 IF MID$(body.items$, 4, 1) = "" THEN itemstat% = 30
 IF MID$(body.items$, 4, 1) = "" THEN itemstat% = 35
 IF MID$(body.items$, 4, 1) = "" THEN itemstat% = 42
 IF MID$(body.items$, 4, 1) = "" THEN itemstat% = 52
 IF MID$(body.items$, 4, 1) = "" THEN itemstat% = 63
 IF MID$(body.items$, 4, 1) = "" THEN itemstat% = 70
 IF MID$(body.items$, 4, 1) = "" THEN itemstat% = 77
 IF MID$(body.items$, 4, 1) = "" THEN itemstat% = 83
 IF MID$(body.items$, 4, 1) = "" THEN itemstat% = 88
 IF MID$(body.items$, 4, 1) = "" THEN itemstat% = 93
 IF MID$(body.items$, 4, 1) = "" THEN itemstat% = 100
 IF MID$(body.items$, 4, 1) = "" THEN itemstat% = 1
 IF MID$(body.items$, 4, 1) = "" THEN itemstat% = 1
 IF MID$(body.items$, 4, 1) = "" THEN itemstat% = 1
 CASE 2
 IF MID$(body.items$, 2, 1) = "" THEN itemstat% = 2
 IF MID$(body.items$, 2, 1) = "" THEN itemstat% = 10
 IF MID$(body.items$, 2, 1) = "" THEN itemstat% = 25
 END SELECT
 IF P% = 0 THEN P% = 50: GOTO NothingThereToEquip
 f$ = MID$(inv$(L% + t%), w%, 1)
 MID$(inv$(L% + t%), w%, 1) = MID$(body.items$, P%, 1)
 MID$(body.items$, P%, 1) = f$
 IF p2% = 0 THEN
   defense = defense - itemstat%
   defense = defense + itemstats%
 END IF
 IF p2% = 1 THEN
   attack = attack - itemstat%
   attack = attack + itemstats%
 END IF
 IF p2% = 2 THEN
	attack = attack - itemstat%
	attack = attack + itemstats%
	defense = defense - itemstat%
	defense = defense + itemstats%
 END IF
 CALL WriteStats
NothingThereToEquip:
END SUB

SUB Talk
	LINE (4, 147)-(214, 195), 0, BF
	IF up + somethingup = 19 AND CurrMap% = 2 AND over + somethingover = 83 THEN
	  DRAW "BM 5,148 C4 S4": CALL Font(0, "man says: good luck!")
	END IF
	IF up + somethingup = 33 AND CurrMap% = 2 AND over + somethingover = 75 THEN
	  DRAW "BM 5,148 C4 S4": CALL Font(0, "man says: keep going.")
	END IF
	IF up + somethingup = 46 AND CurrMap% = 2 AND over + somethingover = 74 THEN
	  DRAW "BM 5,148 C4 S4": CALL Font(0, "man says: with a wetsuit you can")
	  DRAW "BM 5,155 C4 S4": CALL Font(0, "     swim through the hole in the")
	  DRAW "BM 5,162 C4 S4": CALL Font(0, "     rock.")
	END IF
	IF up + somethingup = 86 AND CurrMap% = 2 AND over + somethingover = 120 THEN
	  DRAW "BM 5,148 C4 S4": CALL Font(0, "man says: welcome to swamptown")
	END IF
	IF up + somethingup = 13 AND CurrMap% = 2 AND over + somethingover = 17 THEN
	  DRAW "BM 5,148 C4 S4": CALL Font(0, "king says: you are healed, now go")
	  DRAW "BM 5,155 C4 S4": CALL Font(0, "     find Noel!!!!")
	  hp = hpmax: CALL WriteStats
	END IF
	IF CurrMap% = 2 AND up + somethingup = 33 AND over + somethingover = 121 THEN
	  Inn 30
	  GOTO EndTalk
	END IF
	IF CurrMap% = 4 AND up + somethingup = 17 AND over + somethingover = 223 THEN
	  Inn 300
	  GOTO EndTalk
	END IF
	I% = 0
	DO
	  I% = I% + 1
	  s% = 0
	  DO
		s% = s% + 1
	  LOOP UNTIL s% = 3 OR MID$(inv$(I%), s%, 1) = " "
	LOOP UNTIL I% = 15 OR MID$(inv$(I%), s%, 1) = " "
	IF MID$(inv$(I%), s%, 1) <> " " THEN
	  DRAW "BM 6,148 C4 S4": CALL Font(0, "man says: you can't carry")
	  DRAW "BM 5,155 C4 S4": CALL Font(0, "     any more!!!!")
	  GOTO EndTalk
	 END IF
 IF up + somethingup = 28 AND CurrMap% = 2 AND over + somethingover = 27 THEN
	LINE (22, 4)-(196, 143), 0, BF
	DRAW "BM 24,6 C4 S4": CALL Font(0, "buy what (0 leaves)?")
	DRAW "BM 24,13 C4 S4": CALL Font(0, "a: club        , $45")
	DRAW "BM 24,20 C4 S4": CALL Font(0, "b: morning star, $60")
	DRAW "BM 24,27 C4 S4": CALL Font(0, "c: whip        , $85")
	DRAW "BM 24,34 C4 S4": CALL Font(0, "d: flail       ,$110")
	DRAW "BM 24,41 C4 S4": CALL Font(0, "e: sword       ,$125")
	DRAW "BM 24,48 C4 S4": CALL Font(0, "f: great axe   ,$150")
	DO
	 key$ = INKEY$
	 SELECT CASE key$
		CASE "a": amountneeded = 45: objectbought$ = "": GOTO PickedObject
		CASE "b": amountneeded = 60: objectbought$ = "": GOTO PickedObject
		CASE "c": amountneeded = 85: objectbought$ = "": GOTO PickedObject
		CASE "d": amountneeded = 110: objectbought$ = "": GOTO PickedObject
		CASE "e": amountneeded = 125: objectbought$ = "": GOTO PickedObject
		CASE "f": amountneeded = 150: objectbought$ = "": GOTO PickedObject
		CASE "0": GOTO EndTalk
	 END SELECT
	LOOP
 END IF
 IF up + somethingup = 94 AND CurrMap% = 2 AND over + somethingover = 124 THEN
	LINE (22, 4)-(196, 143), 0, BF
	DRAW "BM 24,6 C4 S4": CALL Font(0, "buy what (0 leaves)?")
	DRAW "BM 24,13 C4 S4": CALL Font(0, "a: spiked spear,$200")
	DRAW "BM 24,20 C4 S4": CALL Font(0, "b: katana      ,$260")
	DRAW "BM 24,27 C4 S4": CALL Font(0, "c: mangaler    ,$320")
	DRAW "BM 24,34 C4 S4": CALL Font(0, "d: long sword  ,$410")
	DRAW "BM 24,41 C4 S4": CALL Font(0, "e: fire sword  ,$550")
	DO
	 key$ = INKEY$
	 SELECT CASE key$
		CASE "a": amountneeded = 200: objectbought$ = "": GOTO PickedObject
		CASE "b": amountneeded = 260: objectbought$ = "": GOTO PickedObject
		CASE "c": amountneeded = 320: objectbought$ = "": GOTO PickedObject
		CASE "d": amountneeded = 410: objectbought$ = "": GOTO PickedObject
		CASE "e": amountneeded = 550: objectbought$ = "": GOTO PickedObject
		CASE "0": GOTO EndTalk
	 END SELECT
	LOOP
 END IF
 IF up + somethingup = 35 AND CurrMap% = 2 AND over + somethingover = 30 THEN
	LINE (22, 4)-(196, 143), 0, BF
	DRAW "BM 24,6 C4 S4": CALL Font(0, "buy what (0 leaves)?")
	DRAW "BM 24,13 C4 S4": CALL Font(0, "a: bronze sheild  , $50")
	DRAW "BM 24,20 C4 S4": CALL Font(0, "b: steel sheild   , $70")
	DRAW "BM 24,27 C4 S4": CALL Font(0, "c: iron sheild    ,$100")
	DRAW "BM 24,34 C4 S4": CALL Font(0, "d: titanium sheild,$145")
	DRAW "BM 24,41 C4 S4": CALL Font(0, "e: spiked sheild  ,$190")
	DRAW "BM 24,48 C4 S4": CALL Font(0, "f: steel helmet   , $80")
	DRAW "BM 24,55 C4 S4": CALL Font(0, "g: masked helmet  ,$130")
	DRAW "BM 24,62 C4 S4": CALL Font(0, "h: leather armour ,$100")
	DRAW "BM 24,69 C4 S4": CALL Font(0, "i: steel mail     ,$140")
	DRAW "BM 24,76 C4 S4": CALL Font(0, "j: steel boots    , $60")
	DO
	 key$ = INKEY$
	 SELECT CASE key$
		CASE "a": amountneeded = 50: objectbought$ = "": GOTO PickedObject
		CASE "b": amountneeded = 70: objectbought$ = "": GOTO PickedObject
		CASE "c": amountneeded = 100: objectbought$ = "": GOTO PickedObject
		CASE "d": amountneeded = 145: objectbought$ = "": GOTO PickedObject
		CASE "e": amountneeded = 190: objectbought$ = "": GOTO PickedObject
		CASE "f": amountneeded = 80: objectbought$ = "": GOTO PickedObject
		CASE "g": amountneeded = 130: objectbought$ = "": GOTO PickedObject
		CASE "h": amountneeded = 100: objectbought$ = "": GOTO PickedObject
		CASE "i": amountneeded = 140: objectbought$ = "": GOTO PickedObject
		CASE "j": amountneeded = 60: objectbought$ = "": GOTO PickedObject
		CASE "0": GOTO EndTalk
	 END SELECT
	LOOP
 END IF
 IF up + somethingup = 88 AND CurrMap% = 2 AND over + somethingover = 98 THEN
	LINE (22, 4)-(196, 143), 0, BF
	DRAW "BM 24,6 C4 S4": CALL Font(0, "buy what (0 leaves)?")
	DRAW "BM 24,13 C4 S4": CALL Font(0, "a: waved sheild  ,$250")
	DRAW "BM 24,20 C4 S4": CALL Font(0, "b: holy sheild   ,$300")
	DRAW "BM 24,27 C4 S4": CALL Font(0, "c: cosmic sheild ,$400")
	DRAW "BM 24,34 C4 S4": CALL Font(0, "d: winged helmet ,$175")
	DRAW "BM 24,41 C4 S4": CALL Font(0, "e: spikke helmet ,$220")
	DRAW "BM 24,48 C4 S4": CALL Font(0, "f: spiked armor  ,$450")
	DRAW "BM 24,55 C4 S4": CALL Font(0, "g: crystal gloves,$150")
	DRAW "BM 24,62 C4 S4": CALL Font(0, "h: crystal boots ,$200")
	DRAW "BM 24,69 C4 S4": CALL Font(0, "i: crystal ring  ,$175")
	DO
	 key$ = INKEY$
	 SELECT CASE key$
		CASE "a": amountneeded = 250: objectbought$ = "": GOTO PickedObject
		CASE "b": amountneeded = 300: objectbought$ = "": GOTO PickedObject
		CASE "c": amountneeded = 400: objectbought$ = "": GOTO PickedObject
		CASE "d": amountneeded = 175: objectbought$ = "": GOTO PickedObject
		CASE "e": amountneeded = 220: objectbought$ = "": GOTO PickedObject
		CASE "f": amountneeded = 450: objectbought$ = "": GOTO PickedObject
		CASE "g": amountneeded = 150: objectbought$ = "": GOTO PickedObject
		CASE "h": amountneeded = 200: objectbought$ = "": GOTO PickedObject
		CASE "i": amountneeded = 175: objectbought$ = "": GOTO PickedObject
		CASE "0": GOTO EndTalk
	 END SELECT
	LOOP
 END IF
 IF up + somethingup = 5 AND CurrMap% = 2 AND over + somethingover = 58 THEN
	LINE (22, 4)-(196, 143), 0, BF
	DRAW "BM 24,6 C4 S4": CALL Font(0, "buy what (0 leaves)?")
	DRAW "BM 24,13 C4 S4": CALL Font(0, "a: healing leaf  , $15")
	DRAW "BM 24,20 C4 S4": CALL Font(0, "b: steel key     ,$200")
	DO
	 key$ = INKEY$
	 SELECT CASE key$
	 CASE "a": amountneeded = 15: objectbought$ = "": GOTO PickedObject
	 CASE "b": amountneeded = 200: objectbought$ = "": GOTO PickedObject
	 CASE "0": GOTO EndTalk
	 END SELECT
	LOOP
 END IF
 IF CurrMap% = 2 AND up + somethingup = 34 AND over + somethingover = 9 THEN
	LINE (22, 4)-(196, 143), 0, BF
	DRAW "BM 24,6 C4 S4": CALL Font(0, "buy what (0 leaves)?")
	DRAW "BM 24,13 C4 S4": CALL Font(0, "a: healing leaf  , $15")
	DRAW "BM 24,20 C4 S4": CALL Font(0, "b: wooden key    ,$100")
	DO
	 key$ = INKEY$
	 SELECT CASE key$
	 CASE "a": amountneeded = 15: objectbought$ = "": GOTO PickedObject
	 CASE "b": amountneeded = 100: objectbought$ = "": GOTO PickedObject
	 CASE "0": GOTO EndTalk
	 END SELECT
	LOOP
 END IF
PickedObject:
 IF money >= amountneeded THEN
	MID$(inv$(I%), s%, 1) = objectbought$: money = money - amountneeded
 ELSE
	DRAW "BM 6,148 C4 S4": CALL Font(0, "you don't have enough money!")
 END IF
EndTalk:
 CALL DrawLevel
 DrawModeOfTravel
 CALL ShowInventory
 CALL WriteStats
END SUB

SUB UseKey
	CalcSomething
	IF MID$(inv$(L% + t%), w%, 1) = "" THEN GOTO UseWoodKey
	IF MID$(inv$(L% + t%), w%, 1) = "" THEN GOTO UseSteelKey
UseWoodKey:
 IF MID$(level$(up + somethingup), over + somethingover, 1) <> "" THEN GOTO NoLockedDoor
 MID$(inv$(L% + t%), w%, 1) = " "
 MID$(level$(up + somethingup), over + somethingover, 1) = "": GOTO EndUseKey
UseSteelKey:
 IF MID$(level$(up + somethingup), over + somethingover, 1) <> "" AND MID$(level$(up + somethingup), over + somethingover, 1) <> "" THEN GOTO NoLockedDoor
 MID$(inv$(L% + t%), w%, 1) = " "
 IF MID$(level$(up + somethingup), over + somethingover, 1) = "" THEN MID$(level$(up + somethingup), over + somethingover, 1) = "|"
 IF MID$(level$(up + somethingup), over + somethingover, 1) = "" THEN MID$(level$(up + somethingup), over + somethingover, 1) = ""
 GOTO EndUseKey
NoLockedDoor:
 DRAW "BM 6,148 C4 S4": CALL Font(0, "no locked door there.")
EndUseKey:
 CheckForFight = 1: CALL ShowInventory
END SUB

SUB UseLeaf
	MID$(inv$(L% + t%), w%, 1) = " "
	hp% = hp% + 10
	IF hp% > hpmax% THEN hp% = hpmax%
	CALL WriteStats
	CALL ShowInventory
	CheckForFight = 1
END SUB

SUB UseObject
LINE (4, 147)-(214, 195), 0, BF: t% = 0
CheckForFight = 0
WriteItemsToUse:
 ShowItemList "use what (0 cancels)?", t%, 2
 DO
   ObjectKeys useover%, useup%, t%, fcn%
   SELECT CASE fcn%
   CASE 1
	 GOTO PickedUse
   CASE 2
	 GOTO WriteItemsToUse
   CASE 3
	 GOTO EndUseObject
   END SELECT
 LOOP
PickedUse:
 L% = useup
 w% = useover
 IF MID$(inv$(useup + t%), useover, 1) = "" THEN CALL UseLeaf
 IF MID$(inv$(useup + t%), useover, 1) = "" THEN CALL UseKey
 IF MID$(inv$(useup + t%), useover, 1) = "" THEN CALL UseKey
 IF CheckForFight = 1 THEN GOTO EndUseObject
NothingToUse:
 DRAW "BM 6,148 C4 S4": CALL Font(0, "nothing there to use.")
 GOTO EndUseObject
EndUseObject:
 CheckForFight = 1
 DrawLevel
 DrawModeOfTravel
END SUB

SUB UseSomething
 CalcSomething
 IF MID$(level$(up + somethingup), over + somethingover, 1) = "" THEN
	MID$(level$(up + somethingup), over + somethingover, 1) = "": GOTO DoneUsing
 END IF
 IF MID$(level$(up + somethingup), over + somethingover, 1) = "" THEN
	MID$(level$(up + somethingup), over + somethingover, 1) = "": GOTO DoneUsing
 END IF
 IF MID$(level$(up + somethingup), over + somethingover, 1) = "" THEN
	MID$(level$(up + somethingup), over + somethingover, 1) = "": GOTO DoneUsing
 END IF
 IF MID$(level$(up + somethingup), over + somethingover, 1) = "" THEN
	MID$(level$(up + somethingup), over + somethingover, 1) = "": GOTO DoneUsing
 END IF
 IF MID$(level$(up + somethingup), over + somethingover, 1) = "|" THEN
	MID$(level$(up + somethingup), over + somethingover, 1) = "}": GOTO DoneUsing
 END IF
 IF MID$(level$(up + somethingup), over + somethingover, 1) = "}" THEN
	MID$(level$(up + somethingup), over + somethingover, 1) = "|": GOTO DoneUsing
 END IF
 IF MID$(level$(up + somethingup), over + somethingover, 1) = "" THEN
	MID$(level$(up + somethingup), over + somethingover, 1) = "": GOTO DoneUsing
 END IF
 IF MID$(level$(up + somethingup), over + somethingover, 1) = "" THEN
	MID$(level$(up + somethingup), over + somethingover, 1) = "": GOTO DoneUsing
 END IF
 IF MID$(level$(up + somethingup), over + somethingover, 1) = "O" AND MID$(body.items$, 4, 1) <> "" THEN
	LINE (4, 147)-(214, 195), 0, BF
	DRAW "BM 5,148 C4 S4": CALL Font(0, "you need a pick to break that!")
	GOTO DoneUsing
 ELSEIF MID$(level$(up + somethingup), over + somethingover, 1) = "O" AND MID$(body.items$, 4, 1) = "" THEN
	MID$(level$(up + somethingup), over + somethingover, 1) = "."
	GOTO DoneUsing
 END IF
 IF MID$(level$(up + somethingup), over + somethingover, 1) = "C" AND MID$(body.items$, 4, 1) = "" THEN
   MID$(level$(up + somethingup), over + somethingover, 1) = "i": GOTO DoneUsing
 END IF
 IF MID$(level$(up + somethingup), over + somethingover, 1) = "R" AND MID$(body.items$, 4, 1) = "" THEN
   MID$(level$(up + somethingup), over + somethingover, 1) = "i": GOTO DoneUsing
 END IF
 IF MID$(level$(up + somethingup), over + somethingover, 1) = "P" AND MID$(body.items$, 4, 1) = "" THEN
   MID$(level$(up + somethingup), over + somethingover, 1) = "i": GOTO DoneUsing
 END IF
 IF MID$(level$(up + somethingup), over + somethingover, 1) = "i" AND MID$(body.items$, 4, 1) = "" THEN
	a = INT(RND * 3)
	IF a = 0 THEN MID$(level$(up + somethingup), over + somethingover, 1) = "C"
	IF a = 1 THEN MID$(level$(up + somethingup), over + somethingover, 1) = "R"
	IF a = 2 THEN MID$(level$(up + somethingup), over + somethingover, 1) = "P"
	GOTO DoneUsing
 END IF
 IF MID$(level$(up + somethingup), over + somethingover, 1) = "*" THEN CALL CheckSign: GOTO DoneUsing
 IF MID$(item.lvl$(up + somethingup), over + somethingover, 1) = "" THEN CALL CheckSign: GOTO DoneUsing
 IF MID$(item.lvl$(up + somethingup), over + somethingover, 1) = "" THEN CALL CheckSign: GOTO DoneUsing
 IF MID$(item.lvl$(up + somethingup), over + somethingover, 1) = "" THEN CALL CheckSign: GOTO DoneUsing
 IF MID$(item.lvl$(up + somethingup), over + somethingover, 1) = "" THEN CALL CheckSign: GOTO DoneUsing

 IF MID$(level$(up), over, 1) = "u" THEN UseStairway 1: GOTO DoneUsing
 IF MID$(level$(up), over, 1) = "D" THEN UseStairway 2: GOTO DoneUsing
 IF MID$(level$(up), over, 1) = "0" THEN UseStairway 3: GOTO DoneUsing
 IF MID$(item.lvl$(up + somethingup), over + somethingover, 1) = "" THEN
	MID$(item.lvl$(up + somethingup), over + somethingover, 1) = " "
	CALL CheckDresser: GOTO DoneUsing
 END IF
 IF MID$(item.lvl$(up + somethingup), over + somethingover, 1) = "" THEN
	MID$(item.lvl$(up + somethingup), over + somethingover, 1) = ""
	CALL CheckChest: GOTO DoneUsing
 END IF
 IF MID$(item.lvl$(up + somethingup), over + somethingover, 1) = "" THEN CALL Switches: GOTO DoneUsing
 IF MID$(item.lvl$(up + somethingup), over + somethingover, 1) = "" THEN CALL Switches: GOTO DoneUsing

 IF MID$(level$(up + somethingup), over + somethingover, 1) = "" THEN CALL SleepNow: GOTO DoneUsing
 IF MID$(level$(up + somethingup), over + somethingover, 1) = "" THEN CALL Talk: GOTO DoneUsing
 IF MID$(level$(up + somethingup), over + somethingover, 1) = "" THEN CALL Talk: GOTO DoneUsing

 IF AnimFrame% = 1 OR AnimFrame% = 2 THEN somethingup = somethingup + 1
 IF AnimFrame% = 3 OR AnimFrame% = 4 THEN somethingup = somethingup - 1
 IF AnimFrame% = 5 OR AnimFrame% = 6 THEN somethingover = somethingover - 1
 IF AnimFrame% = 7 OR AnimFrame% = 8 THEN somethingover = somethingover + 1
 IF MID$(level$(up + somethingup), over + somethingover, 1) = "" THEN CALL Talk: GOTO DoneUsing
DoneUsing:
 DrawLevel
 DrawModeOfTravel
END SUB

SUB UseStairway (kindof%)
IF kindof% = 1 THEN CurrMap% = CurrMap% - 1: CALL ChangeLevels(CurrMap% + 1)
IF kindof% = 2 THEN CurrMap% = CurrMap% + 1: CALL ChangeLevels(CurrMap% - 1)
IF kindof% = 3 THEN CurrMap% = CurrMap% + 1: CALL ChangeLevels(CurrMap% - 1)
END SUB

SUB WriteStats
DRAW "BM 219,5 C4 S4": CALL Font(0, "                ")
DRAW "BM 219,5 C4 S4": CALL Font(0, "level:" + SPACE$(10 - LEN(STR$(lvl%))) + STR$(lvl%))
DRAW "BM 219,15 C4 S4": CALL Font(0, "                ")
DRAW "BM 219,15 C4 S4": CALL Font(0, "gold:" + SPACE$(11 - LEN(STR$(money%))) + STR$(money%))
DRAW "BM 219,25 C4 S4": CALL Font(0, "                ")
DRAW "BM 219,25 C4 S4": CALL Font(0, "exper:" + SPACE$(10 - LEN(STR$(exper%))) + STR$(exper%))
DRAW "BM 219,35 C4 S4": CALL Font(0, "                ")
DRAW "BM 219,35 C4 S4": CALL Font(0, "hp/max:" + SPACE$(9 - LEN(STR$(hp%) + "/" + STR$(hpmax%))) + STR$(hp%) + "/" + STR$(hpmax%))
DRAW "BM 219,45 C4 S4": CALL Font(0, "                ")
DRAW "BM 219,45 C4 S4": CALL Font(0, "defense:" + SPACE$(8 - LEN(STR$(defense%))) + STR$(defense%))
DRAW "BM 219,55 C4 S4": CALL Font(0, "                ")
DRAW "BM 219,55 C4 S4": CALL Font(0, "attack:" + SPACE$(9 - LEN(STR$(attack%))) + STR$(attack%))
END SUB

